import { defineComponent as A, computed as g, openBlock as p, createElementBlock as x, normalizeClass as C, renderSlot as L, createElementVNode as v, createCommentVNode as B, withKeys as Lt, withModifiers as st, toDisplayString as P, createTextVNode as te, mergeProps as ee, createBlock as K, resolveDynamicComponent as pe, ref as O, watch as ve, onMounted as nt, onUnmounted as At, withDirectives as fe, vModelText as Ot, Fragment as ge, renderList as We, vShow as Ae, normalizeStyle as E, unref as M, Transition as ke, withCtx as ne, Teleport as ot, createVNode as he, shallowRef as Pt, getCurrentScope as at, onScopeDispose as lt, shallowReadonly as ie, readonly as Dt, toValue as Rt, inject as rt, provide as it, createStaticVNode as Vt } from "vue";
const Fe = {
  primary: {
    base: "blue",
    light: "50",
    main: "500",
    dark: "600",
    hover: "550",
    border: "600",
    focus: "600"
  },
  secondary: {
    base: "gray",
    light: "200",
    main: "575",
    dark: "700",
    hover: "600",
    border: "600",
    focus: "500"
  },
  success: {
    base: "green",
    light: "50",
    main: "500",
    dark: "700",
    hover: "600",
    border: "200",
    focus: "500"
  },
  warning: {
    base: "yellow",
    light: "50",
    main: "500",
    dark: "700",
    hover: "600",
    border: "200",
    focus: "500"
  },
  danger: {
    base: "red",
    light: "50",
    main: "500",
    dark: "700",
    hover: "600",
    border: "200",
    focus: "500"
  },
  info: {
    base: "sea-blue",
    light: "50",
    main: "500",
    dark: "700",
    hover: "600",
    border: "200",
    focus: "500"
  },
  dark: {
    base: "gray",
    light: "100",
    main: "900",
    dark: "950",
    hover: "800",
    border: "300",
    focus: "700"
  },
  light: {
    base: "gray",
    light: "50",
    main: "300",
    dark: "500",
    hover: "400",
    border: "200",
    focus: "300"
  }
}, se = (s, t, e = {}) => {
  const { hover: o = !1, active: n = !1, focus: a = !1, disabled: r = !1 } = e;
  if (r)
    return "cstu-bg-gray-100 cstu-border-gray-200 cstu-text-gray-400 cstu-cursor-not-allowed";
  const l = Fe[s];
  if (!l || t === "default")
    return "";
  if (t === "text")
    return [
      `cstu-text-${l.base}-${l.main}`,
      o && `hover:cstu-text-${l.base}-${l.hover}`,
      n && `active:cstu-text-${l.base}-${l.dark}`,
      a && `focus:cstu-text-${l.base}-${l.focus}`,
      r && "cstu-opacity-50 cstu-cursor-not-allowed"
    ].filter(Boolean);
  const i = [];
  switch (t) {
    case "filled":
      i.push(`cstu-bg-${l.base}-${l.main}`), i.push("cstu-text-white"), o && i.push(`hover:cstu-bg-${l.base}-${l.hover} hover:cstu-shadow-md`), n && i.push(`active:cstu-bg-${l.base}-${l.dark}`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "light":
      i.push(`cstu-bg-${l.base}-${l.light}`), i.push(`cstu-text-${l.base}-${l.main}`), o && i.push(`hover:cstu-bg-${l.base}-250`), n && i.push(`active:cstu-bg-${l.base}-300 active:!cstu-text-white`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "outline":
      i.push("cstu-bg-white"), i.push(`cstu-text-${l.base}-${l.main}`), i.push(`cstu-border cstu-border-${l.base}-${l.main}`), o && i.push(`hover:cstu-bg-${l.base}-50`), n && i.push(`active:cstu-bg-${l.base}-100`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "subtle":
      i.push(`cstu-text-${l.base}-${l.main}`), o && i.push(`hover:cstu-bg-${l.base}-50`), n && i.push(`active:cstu-bg-${l.base}-100`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "white":
      i.push("cstu-bg-white cstu-text-gray-900"), o && i.push("hover:cstu-bg-gray-50"), n && i.push("active:cstu-bg-gray-100"), a && i.push("focus:cstu-ring-gray-200");
      break;
    case "dot":
      i.push(`cstu-bg-${l.base}-${l.main}`);
      break;
    case "bordered":
      i.push("cstu-bg-white"), i.push(`cstu-text-${l.base}-${l.main}`), i.push(`cstu-border cstu-border-${l.base}-${l.border}`), o && i.push(`hover:cstu-bg-${l.base}-50 hover:cstu-border-${l.base}-${l.main}`), n && i.push(`active:cstu-bg-${l.base}-100`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
    case "bordered-transparent":
      i.push("cstu-bg-transparent"), i.push(`cstu-text-${l.base}-${l.main}`), i.push(`cstu-border cstu-border-${l.base}-${l.border}`), o && i.push(`hover:cstu-bg-${l.base}-50/10 hover:cstu-border-${l.base}-${l.main}`), n && i.push(`active:cstu-bg-${l.base}-100/20`), a && i.push(`focus:cstu-ring-${l.base}-${l.focus}/20`);
      break;
  }
  return i.join(" ");
}, Mt = (s, t) => {
  if (t === "filled")
    return "cstu-text-white";
  const e = Fe[s];
  return `cstu-text-${e.base}-${e.main}`;
}, Tt = (s, t) => {
  if (t === "filled")
    return "cstu-text-white";
  const e = Fe[s];
  return `text-${e.base}-${e.main}`;
}, Et = (s) => {
  const t = ["cstu-shadow-sm", "cstu-transition-all cstu-duration-200"];
  switch (s) {
    case "filled":
      t.push("cstu-border-transparent");
      break;
    case "light":
      t.push("cstu-border");
      break;
    case "outline":
      t.push("cstu-border");
      break;
    case "subtle":
      t.push("cstu-shadow-none");
      break;
    case "white":
      t.push("cstu-border");
      break;
    default:
      t.push("cstu-border");
  }
  return t.join(" ");
}, He = {
  button: {
    xs: { height: "cstu-h-[30px]", gap: "cstu-gap-[0.55rem]", padding: { x: "cstu-px-[0.67rem]", y: "cstu-py-[0.67rem]" }, text: "cstu-text-xs cstu-leading-none", icon: "cstu-w-3 cstu-h-3" },
    sm: { height: "cstu-h-[36px]", gap: "cstu-gap-[0.66rem]", padding: { x: "cstu-px-[0.8rem]", y: "cstu-py-[0.8rem]" }, text: "cstu-text-sm cstu-leading-none", icon: "cstu-w-4 cstu-h-4" },
    md: { height: "cstu-h-[40px]", gap: "cstu-gap-[0.74rem]", padding: { x: "cstu-px-[0.89rem]", y: "cstu-py-[0.89rem]" }, text: "cstu-text-base cstu-leading-none", icon: "cstu-w-5 cstu-h-5" },
    lg: { height: "cstu-h-[45px]", gap: "cstu-gap-[0.83rem]", padding: { x: "cstu-px-4", y: "cstu-py-4" }, text: "cstu-text-lg cstu-leading-none", icon: "cstu-w-6 cstu-h-6" },
    xl: { height: "cstu-h-[50px]", gap: "cstu-gap-[0.92rem]", padding: { x: "cstu-px-[1.11rem]", y: "cstu-py-[1.11rem]" }, text: "cstu-text-xl cstu-leading-none", icon: "cstu-w-7 cstu-h-7" }
  },
  badge: {
    xs: { padding: { x: "cstu-px-2", y: "cstu-py-0.5" }, text: "cstu-text-xs", icon: "cstu-w-3 cstu-h-3" },
    sm: { padding: { x: "cstu-px-2.5", y: "cstu-py-1" }, text: "cstu-text-sm", icon: "cstu-w-3.5 cstu-h-3.5" },
    md: { padding: { x: "cstu-px-3", y: "cstu-py-1.5" }, text: "cstu-text-base", icon: "cstu-w-4 cstu-h-4" },
    lg: { padding: { x: "cstu-px-4", y: "cstu-py-2" }, text: "cstu-text-lg", icon: "cstu-w-5 cstu-h-5" },
    xl: { padding: { x: "cstu-px-5", y: "cstu-py-2.5" }, text: "cstu-text-xl", icon: "cstu-w-6 cstu-h-6" }
  },
  input: {
    xs: { padding: { x: "cstu-px-2", y: "cstu-py-1" }, text: "cstu-text-xs", height: "cstu-h-7" },
    sm: { padding: { x: "cstu-px-3", y: "cstu-py-1.5" }, text: "cstu-text-sm", height: "cstu-h-8" },
    md: { padding: { x: "cstu-px-3", y: "cstu-py-2" }, text: "cstu-text-base", height: "cstu-h-10" },
    lg: { padding: { x: "cstu-px-4", y: "cstu-py-2.5" }, text: "cstu-text-lg", height: "cstu-h-11" },
    xl: { padding: { x: "cstu-px-4", y: "cstu-py-3" }, text: "cstu-text-xl", height: "cstu-h-12" }
  },
  notification: {
    xs: { padding: { x: "cstu-px-3", y: "cstu-py-2" }, text: "cstu-text-xs" },
    sm: { padding: { x: "cstu-px-4", y: "cstu-py-2.5" }, text: "cstu-text-sm" },
    md: { padding: { x: "cstu-px-4", y: "cstu-py-3" }, text: "cstu-text-base" },
    lg: { padding: { x: "cstu-px-5", y: "cstu-py-4" }, text: "cstu-text-lg" },
    xl: { padding: { x: "cstu-px-6", y: "cstu-py-5" }, text: "cstu-text-xl" }
  },
  switch: {
    xs: { padding: { x: "px-0", y: "py-0" }, text: "text-xs", height: "h-4" },
    sm: { padding: { x: "px-0", y: "py-0" }, text: "text-sm", height: "h-5" },
    md: { padding: { x: "px-0", y: "py-0" }, text: "text-base", height: "h-6" },
    lg: { padding: { x: "px-0", y: "py-0" }, text: "text-lg", height: "h-7" },
    xl: { padding: { x: "px-0", y: "py-0" }, text: "text-xl", height: "h-8" }
  },
  chip: {
    xs: { padding: { x: "px-1.5", y: "py-0.5" }, text: "text-xs", icon: "w-2.5 h-2.5" },
    sm: { padding: { x: "px-2", y: "py-1" }, text: "text-sm", icon: "w-3 h-3" },
    md: { padding: { x: "px-2.5", y: "py-1.5" }, text: "text-base", icon: "w-3.5 h-3.5" },
    lg: { padding: { x: "px-3", y: "py-2" }, text: "text-lg", icon: "w-4 h-4" },
    xl: { padding: { x: "px-3.5", y: "py-2.5" }, text: "text-xl", icon: "w-4.5 h-4.5" }
  },
  checkbox: {
    xs: { padding: { x: "px-0", y: "py-0" }, text: "text-xs", icon: "w-2 h-2" },
    sm: { padding: { x: "px-0", y: "py-0" }, text: "text-sm", icon: "w-2.5 h-2.5" },
    md: { padding: { x: "px-0", y: "py-0" }, text: "text-base", icon: "w-3 h-3" },
    lg: { padding: { x: "px-0", y: "py-0" }, text: "text-lg", icon: "w-4 h-4" },
    xl: { padding: { x: "px-0", y: "py-0" }, text: "text-xl", icon: "w-5 h-5" }
  },
  indicator: {
    xs: { padding: { x: "px-0.5", y: "py-0.5" }, text: "text-[10px]", height: "h-3.5 min-w-3.5" },
    sm: { padding: { x: "px-1", y: "py-0.5" }, text: "text-[11px]", height: "h-4 min-w-4" },
    md: { padding: { x: "px-1.5", y: "py-0.5" }, text: "text-xs", height: "h-5 min-w-5" },
    lg: { padding: { x: "px-2", y: "py-0.5" }, text: "text-xs", height: "h-6 min-w-6" },
    xl: { padding: { x: "px-2.5", y: "py-0.5" }, text: "text-sm", height: "h-7 min-w-7" }
  },
  progress: {
    xs: { padding: { x: "px-0", y: "py-0" }, text: "text-xs", height: "h-1" },
    sm: { padding: { x: "px-0", y: "py-0" }, text: "text-sm", height: "h-1.5" },
    md: { padding: { x: "px-0", y: "py-0" }, text: "text-base", height: "h-2" },
    lg: { padding: { x: "px-0", y: "py-0" }, text: "text-sm", height: "h-6" },
    xl: { padding: { x: "px-0", y: "py-0" }, text: "text-base", height: "h-8" }
  },
  alert: {
    xs: { padding: { x: "px-3", y: "py-2" }, text: "text-xs", icon: "w-4 h-4" },
    sm: { padding: { x: "px-3", y: "py-2.5" }, text: "text-sm", icon: "w-5 h-5" },
    md: { padding: { x: "px-4", y: "py-3" }, text: "text-base", icon: "w-5 h-5" },
    lg: { padding: { x: "px-5", y: "py-4" }, text: "text-lg", icon: "w-6 h-6" },
    xl: { padding: { x: "px-6", y: "py-5" }, text: "text-xl", icon: "w-7 h-7" }
  },
  segmentedControl: {
    xs: { gap: "gap-[8px]", padding: { x: "px-[10.5px]", y: "py-[3.5px]" }, text: "text-xs", height: "h-6" },
    sm: { gap: "gap-[9px]", padding: { x: "px-[12px]", y: "py-[4px]" }, text: "text-sm", height: "h-8" },
    md: { gap: "gap-[10px]", padding: { x: "px-[13.5px]", y: "py-[4.5px]" }, text: "text-base", height: "h-10" },
    lg: { gap: "gap-[11px]", padding: { x: "px-[15px]", y: "py-[5px]" }, text: "text-lg", height: "h-12" },
    xl: { gap: "gap-[12px]", padding: { x: "px-[16.5px]", y: "py-[5.5px]" }, text: "text-xl", height: "h-14" }
  },
  segmentedControlContainer: {
    xs: { gap: "gap-[5.25px]", padding: { x: "px-[5.25px]", y: "py-[5.25px]" } },
    sm: { gap: "gap-[6px]", padding: { x: "px-[6px]", y: "py-[6px]" } },
    md: { gap: "gap-[6.75px]", padding: { x: "px-[6.75px]", y: "py-[6.75px]" } },
    lg: { gap: "gap-[7.5px]", padding: { x: "px-[7.5px]", y: "py-[7.5px]" } },
    xl: { gap: "gap-[8.25px]", padding: { x: "px-[8.25px]", y: "py-[8.25px]" } }
  },
  dropdown: {
    xs: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "text-xs", height: void 0, icon: void 0, gap: "gap-[9px]" },
    sm: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "text-sm", height: void 0, icon: void 0, gap: "gap-[9px]" },
    md: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "text-base", height: void 0, icon: void 0, gap: "gap-[9px]" },
    lg: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "text-lg", height: void 0, icon: void 0, gap: "gap-[9px]" },
    xl: { padding: { x: "cstu-px-[12px]", y: "cstu-py-[7px]" }, text: "text-xl", height: void 0, icon: void 0, gap: "gap-[9px]" }
  }
}, N = (s, t) => {
  var e, o;
  if (typeof t == "string") {
    const n = He[t][s];
    return [(e = n == null ? void 0 : n.padding) == null ? void 0 : e.x, (o = n == null ? void 0 : n.padding) == null ? void 0 : o.y, n == null ? void 0 : n.text, n == null ? void 0 : n.gap].filter(Boolean).join(" ");
  }
  return t[s];
}, ct = (s, t) => He[t][s].icon || "", Oe = (s, t) => He[t][s].height || "", ut = (s) => {
  switch (s) {
    case "xs":
      return "text-xs";
    case "sm":
      return "text-sm";
    case "md":
      return "text-base";
    case "lg":
      return "text-lg";
    case "xl":
      return "text-xl";
    default:
      return "text-base";
  }
}, dt = (s) => {
  switch (s) {
    case "xs":
      return "space-x-1";
    case "sm":
      return "space-x-2";
    case "md":
      return "space-x-3";
    case "lg":
      return "space-x-4";
    case "xl":
      return "space-x-5";
    default:
      return "space-x-3";
  }
}, oe = (s) => {
  const t = [];
  return s.disabled && t.push("opacity-50 cursor-not-allowed pointer-events-none"), s.loading && t.push("cursor-wait"), s.active && t.push("ring-2 ring-offset-2"), s.error && t.push("border-red-300 focus:ring-red-500/20 focus:border-red-500"), s.success && t.push("border-green-300 focus:ring-green-500/20 focus:border-green-500"), t.join(" ");
}, It = (s) => {
  const t = [];
  return s.valid && t.push("border-green-300 focus:ring-green-500/20 focus:border-green-500"), s.invalid && t.push("border-red-300 focus:ring-red-500/20 focus:border-red-500"), s.pending && t.push("border-yellow-300 focus:ring-yellow-500/20 focus:border-yellow-500"), t.join(" ");
}, jt = (s, t = "primary") => {
  const e = [];
  return s.hover && e.push(`hover:bg-${t}-50`), s.active && e.push(`active:bg-${t}-100`), s.focus && e.push(`focus:outline-none focus:ring-2 focus:ring-${t}-500/20 focus:border-${t}-500`), e.join(" ");
}, Wt = ["disabled", "type"], Ft = { key: 0 }, kn = /* @__PURE__ */ A({
  __name: "Button",
  props: {
    variant: { default: "filled" },
    color: { default: "primary" },
    size: { default: "md" },
    radius: { default: "md" },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    fullWidth: { type: Boolean, default: !1 },
    type: { default: "button" },
    leftSection: {},
    rightSection: {},
    leftSectionProps: {},
    rightSectionProps: {},
    gradient: {}
  },
  emits: {
    click: (s) => !0
  },
  setup(s, { emit: t }) {
    const e = s, o = t, n = (i) => {
      !e.disabled && !e.loading && o("click", i);
    }, a = (i) => ({
      none: "cstu-rounded-none",
      xs: "cstu-rounded",
      sm: "cstu-rounded-md",
      md: "cstu-rounded-lg",
      lg: "cstu-rounded-xl",
      xl: "cstu-rounded-2xl",
      full: "cstu-rounded-full"
    })[i] || "cstu-rounded-lg", r = (i) => {
      if (!i)
        return "bg-gradient-to-r";
      const c = (i % 360 + 360) % 360;
      return c >= 337.5 || c < 22.5 ? "cstu-bg-gradient-to-r" : c >= 22.5 && c < 67.5 ? "cstu-bg-gradient-to-tr" : c >= 67.5 && c < 112.5 ? "cstu-bg-gradient-to-t" : c >= 112.5 && c < 157.5 ? "cstu-bg-gradient-to-tl" : c >= 157.5 && c < 202.5 ? "cstu-bg-gradient-to-l" : c >= 202.5 && c < 247.5 ? "cstu-bg-gradient-to-bl" : c >= 247.5 && c < 292.5 ? "cstu-bg-gradient-to-b" : "cstu-bg-gradient-to-br";
    }, l = g(() => {
      const i = "cstu-inline-flex cstu-items-center cstu-justify-center cstu-font-medium cstu-transition-all cstu-duration-200";
      if (e.variant === "gradient" && e.gradient) {
        const $ = `${r(e.gradient.deg)} cstu-from-${e.gradient.from}-500 cstu-to-${e.gradient.to || e.gradient.from}-600 hover:cstu-from-${e.gradient.from}-600 hover:cstu-to-${e.gradient.to || e.gradient.from}-700 cstu-text-white`;
        return [
          i,
          $,
          N(e.size, "button"),
          a(e.radius),
          oe({
            disabled: e.disabled,
            loading: e.loading
          }),
          {
            "cstu-w-full": e.fullWidth,
            "cstu-cursor-pointer": !e.disabled && !e.loading
          }
        ];
      }
      const c = se(e.color, e.variant, {
        hover: !0,
        active: !0,
        focus: !0
      }), d = N(e.size, "button"), f = e.leftSection || e.rightSection ? ct(e.size, "button") : "", b = oe({
        disabled: e.disabled,
        loading: e.loading
      }), u = Oe(e.size, "button"), h = a(e.radius);
      return [
        i,
        c,
        d,
        u,
        f,
        b,
        h,
        {
          "cstu-w-full": e.fullWidth,
          "cstu-cursor-pointer": !e.disabled && !e.loading
        }
      ];
    });
    return (i, c) => (p(), x("button", {
      class: C(l.value),
      disabled: i.disabled || i.loading,
      type: i.type,
      onClick: n
    }, [
      L(i.$slots, "leftSection"),
      L(i.$slots, "default"),
      i.loading ? (p(), x("span", Ft, [
        L(i.$slots, "loader", {}, () => [
          c[0] || (c[0] = v("svg", {
            class: "animate-spin h-4 w-4",
            xmlns: "http://www.w3.org/2000/svg",
            fill: "none",
            viewBox: "0 0 24 24"
          }, [
            v("circle", {
              class: "opacity-25",
              cx: "12",
              cy: "12",
              r: "10",
              stroke: "currentColor",
              "stroke-width": "4"
            }),
            v("path", {
              class: "opacity-75",
              fill: "currentColor",
              d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
            })
          ], -1))
        ])
      ])) : B("", !0),
      L(i.$slots, "rightSection")
    ], 10, Wt));
  }
}), pt = (s) => {
  const t = ["relative"];
  s.fullWidth && t.push("w-full");
  const e = oe({
    disabled: s.disabled,
    error: s.error,
    required: s.required || s.withAsterisk
  });
  return e && t.push(e), t.join(" ");
}, ft = (s) => {
  const t = [
    "block",
    "font-medium",
    "mb-1"
  ];
  switch (s.size) {
    case "xs":
      t.push("text-xs");
      break;
    case "sm":
      t.push("text-sm");
      break;
    case "md":
      t.push("text-base");
      break;
    case "lg":
      t.push("text-lg");
      break;
    case "xl":
      t.push("text-xl");
      break;
    default:
      t.push("text-sm");
  }
  return s.error ? t.push("text-red-500") : s.disabled ? t.push("text-gray-400") : t.push("text-gray-700"), (s.required || s.withAsterisk) && t.push('after:content-["*"] after:ml-0.5 after:text-red-500'), t.join(" ");
}, gt = (s) => {
  const t = [
    "mt-1",
    "text-sm"
  ];
  return s.error ? t.push("text-red-500") : s.disabled ? t.push("text-gray-400") : t.push("text-gray-500"), t.join(" ");
}, Ht = ["aria-disabled", "onKeydown"], Nt = {
  key: 2,
  class: "text-sm text-red-500 mt-0.5"
}, qt = {
  name: "Checkbox"
}, $n = /* @__PURE__ */ A({
  ...qt,
  props: {
    modelValue: { type: [Boolean, Array], default: !1 },
    checked: { type: Boolean, default: !1 },
    value: {},
    id: {},
    label: {},
    color: { default: "primary" },
    size: { default: "md" },
    labelPosition: { default: "right" },
    description: {},
    error: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 },
    variant: { default: "filled" }
  },
  emits: ["update:modelValue", "change"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = g(() => e.modelValue || e.checked), a = () => {
      if (e.disabled)
        return;
      const h = !n.value;
      o("update:modelValue", h), o("change", h);
    }, r = () => {
      a();
    }, l = g(() => ft({
      size: e.size,
      disabled: e.disabled,
      error: e.error
    })), i = g(() => gt({
      color: e.color
    })), c = g(() => [
      "cstu-flex",
      "cstu-flex-col",
      e.labelPosition === "left" ? "cstu-order-first" : ""
    ]), d = {
      primary: "blue-450",
      secondary: "gray-500",
      success: "green-500",
      warning: "yellow-500",
      danger: "red-500",
      info: "blue-500",
      dark: "gray-900",
      light: "gray-300"
    }, f = g(() => [
      "cstu-inline-flex",
      "cstu-items-center",
      "cstu-justify-center",
      "cstu-cursor-pointer",
      "cstu-transition-colors",
      "cstu-duration-200",
      "cstu-ease-in-out",
      e.size === "xs" ? "cstu-h-[12px] cstu-w-[12px] cstu-rounded" : "",
      e.size === "sm" ? "cstu-h-[14px] cstu-w-[14px] cstu-rounded" : "",
      e.size === "md" ? "cstu-h-[16px] cstu-w-[16px] cstu-rounded-md" : "",
      e.size === "lg" ? "cstu-h-[18px] cstu-w-[18px] cstu-rounded-md" : "",
      e.size === "xl" ? "cstu-h-[20px] cstu-w-[20px] cstu-rounded-md" : "",
      e.disabled ? "cstu-bg-gray-200 cstu-border cstu-border-gray-200 cstu-cursor-not-allowed" : n.value || e.indeterminate ? e.variant === "outlined" ? `cstu-bg-transparent cstu-border cstu-border-${d[e.color]}` : `cstu-bg-${d[e.color]} cstu-border-${d[e.color]}` : "cstu-bg-white cstu-border cstu-border-gray-400/50"
    ]), b = g(() => [
      e.variant === "outlined" && (n.value || e.indeterminate) ? `cstu-text-${d[e.color]}` : e.disabled ? "cstu-text-gray-300" : "cstu-text-white",
      e.size === "xs" ? "cstu-h-[6px] cstu-w-[6px]" : "",
      e.size === "sm" ? "cstu-h-[7px] cstu-w-[7px]" : "",
      e.size === "md" ? "cstu-h-[8px] cstu-w-[8px]" : "",
      e.size === "lg" ? "cstu-h-[9px] cstu-w-[9px]" : "",
      e.size === "xl" ? "cstu-h-[10px] cstu-w-[10px]" : ""
    ]), u = g(() => pt({
      disabled: e.disabled,
      error: e.error
    }));
    return (h, m) => (p(), x("div", {
      class: C([u.value, "cstu-flex cstu-items-center cstu-gap-2"])
    }, [
      v("div", {
        class: C(f.value),
        onClick: r,
        role: "checkbox",
        "aria-disabled": h.disabled,
        tabindex: "0",
        onKeydown: Lt(st(r, ["prevent"]), ["space"])
      }, [
        n.value && !h.indeterminate ? (p(), x("svg", {
          key: 0,
          class: C(b.value),
          xmlns: "http://www.w3.org/2000/svg",
          width: "8",
          height: "6",
          viewBox: "0 0 8 6",
          fill: "none"
        }, m[0] || (m[0] = [
          v("path", {
            d: "M6.75 0.75L2.625 5.25L0.75 3.20455",
            stroke: "currentColor",
            "stroke-linecap": "round",
            "stroke-linejoin": "round"
          }, null, -1)
        ]), 2)) : B("", !0),
        h.indeterminate ? (p(), x("svg", {
          key: 1,
          class: C(b.value),
          xmlns: "http://www.w3.org/2000/svg",
          viewBox: "0 0 8 7",
          fill: "none"
        }, m[1] || (m[1] = [
          v("path", {
            d: "M6.80245 3.90741L0.697913 3.8936",
            stroke: "currentColor",
            "stroke-linecap": "round",
            "stroke-linejoin": "round"
          }, null, -1)
        ]), 2)) : B("", !0)
      ], 42, Ht),
      h.label || h.description ? (p(), x("div", {
        key: 0,
        class: C(c.value)
      }, [
        h.label ? (p(), x("label", {
          key: 0,
          class: C([l.value, "pt-0.5"]),
          onClick: r
        }, P(h.label), 3)) : B("", !0),
        h.description ? (p(), x("div", {
          key: 1,
          class: C(i.value)
        }, P(h.description), 3)) : B("", !0),
        h.error ? (p(), x("div", Nt, P(h.error), 1)) : B("", !0)
      ], 2)) : B("", !0)
    ], 2));
  }
}), Yt = ["aria-checked", "aria-disabled"], Kt = ["id", "checked", "disabled", "value"], Xt = ["for"], zn = /* @__PURE__ */ A({
  __name: "Radio",
  props: {
    modelValue: { default: void 0 },
    value: { default: void 0 },
    id: { default: () => `radio-${Math.random().toString(36).substr(2, 9)}` },
    label: {},
    color: { default: "primary" },
    size: { default: "md" },
    labelPosition: { default: "right" },
    description: {},
    error: {},
    disabled: { type: Boolean, default: !1 },
    variant: { default: "filled" }
  },
  emits: ["update:modelValue", "change"],
  setup(s, { emit: t }) {
    const e = s, o = {
      primary: "blue-450",
      secondary: "gray-500",
      success: "green-500",
      warning: "yellow-500",
      danger: "red-500",
      info: "blue-500",
      dark: "gray-900",
      light: "gray-300"
    }, n = {
      primary: "blue-300",
      secondary: "gray-300",
      success: "green-300",
      warning: "yellow-300",
      danger: "red-300",
      info: "blue-300",
      dark: "gray-300",
      light: "gray-300"
    }, a = t, r = g(() => e.modelValue === e.value), l = () => {
      e.disabled || (a("update:modelValue", e.value), a("change", e.value));
    }, i = g(() => [
      pt({
        disabled: e.disabled,
        error: e.error
      }),
      "cstu-flex cstu-items-center cstu-gap-2",
      e.labelPosition === "left" ? "cstu-flex-row-reverse" : "cstu-flex-row"
    ]), c = g(() => [
      "cstu-relative cstu-flex cstu-items-center cstu-justify-center cstu-rounded-full cstu-transition-colors cstu-duration-200",
      m.value,
      r.value ? e.variant === "outlined" ? `cstu-bg-white !cstu-border-2 cstu-border-${n[e.color]}` : `cstu-bg-${o[e.color]} cstu-border cstu-border-${o[e.color]}` : e.variant === "outlined" ? `cstu-bg-white !cstu-border-2 cstu-border-${n[e.color]}` : "cstu-bg-white cstu-border cstu-border-gray-300 hover:cstu-border-gray-400",
      e.disabled ? "cstu-opacity-50 cstu-cursor-not-allowed !cstu-bg-gray-200 !cstu-border-gray-300" : "cstu-cursor-pointer"
    ]), d = g(() => [
      "cstu-rounded-full",
      w.value,
      e.variant === "outlined" ? `cstu-bg-${o[e.color]}` : "cstu-bg-white",
      e.disabled ? `cstu-opacity-50 ${e.variant === "outlined" ? "!cstu-bg-gray-300" : "!cstu-bg-gray-200"}` : ""
    ]), f = g(() => ft({
      size: e.size,
      disabled: e.disabled,
      error: e.error
    })), b = g(() => gt({
      color: e.color
    })), u = g(() => [
      "cstu-text-sm cstu-text-red-500 cstu-mt-1"
    ]), h = g(() => [
      "cstu-flex cstu-flex-col",
      e.disabled ? "cstu-cursor-not-allowed" : "cstu-cursor-pointer"
    ]), m = g(() => ({
      xs: "cstu-w-[8px] cstu-h-[8px]",
      sm: "cstu-w-[12px] cstu-h-[12px]",
      md: "cstu-w-[16px] cstu-h-[16px]",
      lg: "cstu-w-[20px] cstu-h-[20px]",
      xl: "cstu-w-[24px] cstu-h-[24px]"
    })[e.size]), w = g(() => ({
      xs: "cstu-w-[4px] cstu-h-[4px]",
      sm: "cstu-w-[6px] cstu-h-[6px]",
      md: "cstu-w-[8px] cstu-h-[8px]",
      lg: "cstu-w-[10px] cstu-h-[10px]",
      xl: "cstu-w-[12px] cstu-h-[12px]"
    })[e.size]);
    return ($, y) => (p(), x("div", {
      class: C(i.value),
      onClick: l,
      "aria-checked": r.value,
      "aria-disabled": $.disabled,
      role: "radio"
    }, [
      v("input", {
        ref: "radio",
        type: "radio",
        id: $.id,
        checked: r.value,
        disabled: $.disabled,
        value: $.value,
        onChange: l,
        class: "sr-only cstu-border-2"
      }, null, 40, Kt),
      v("div", {
        class: C(c.value)
      }, [
        r.value ? (p(), x("div", {
          key: 0,
          class: C([d.value, "cstu-absolute cstu-left-1/2 cstu-top-1/2 cstu--translate-x-1/2 cstu--translate-y-1/2 cstu-transition-transform cstu-duration-200 cstu-ease-in-out"])
        }, null, 2)) : B("", !0)
      ], 2),
      v("div", {
        class: C(h.value)
      }, [
        $.label ? (p(), x("label", {
          key: 0,
          for: $.id,
          class: C(f.value)
        }, [
          L($.$slots, "label", {}, () => [
            te(P($.label), 1)
          ])
        ], 10, Xt)) : B("", !0),
        $.description ? (p(), x("div", {
          key: 1,
          class: C(b.value)
        }, [
          L($.$slots, "description", {}, () => [
            te(P($.description), 1)
          ])
        ], 2)) : B("", !0),
        $.error ? (p(), x("div", {
          key: 2,
          class: C(u.value)
        }, [
          L($.$slots, "error", {}, () => [
            te(P($.error), 1)
          ])
        ], 2)) : B("", !0)
      ], 2)
    ], 10, Yt));
  }
}), Gt = ["for"], Ut = {
  key: 0,
  class: "text-red-500",
  "aria-hidden": "true"
}, Zt = { class: "relative" }, Qt = ["id", "type", "value", "placeholder", "disabled", "required"], Bn = /* @__PURE__ */ A({
  __name: "TextInput",
  props: {
    id: {},
    type: { default: "text" },
    modelValue: {},
    placeholder: {},
    disabled: { type: Boolean, default: !1 },
    label: {},
    labelProps: {},
    description: {},
    descriptionProps: {},
    error: {},
    errorProps: {},
    wrapperProps: {},
    inputProps: {},
    size: { default: "md" },
    radius: { default: "md" },
    rightSection: {},
    rightSectionProps: {},
    leftSection: {},
    leftSectionProps: {},
    withAsterisk: { type: Boolean, default: !1 },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(s) {
    const t = s, e = (n) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[n] || "rounded-lg", o = g(() => {
      const n = [
        "block w-full bg-white transition-all duration-200",
        "border border-gray-200",
        "text-gray-900",
        "focus:outline-none focus:ring-2 focus:ring-offset-0 focus:border-transparent",
        "placeholder:text-gray-400",
        "shadow-sm"
      ], a = N(t.size, "input"), r = N(t.size, "input"), l = oe({
        disabled: t.disabled,
        error: t.withError || !!t.error
      }), i = e(t.radius), c = {
        left: t.leftSection ? "pl-10" : "",
        right: t.rightSection ? "pr-10" : ""
      }, d = t.disabled ? "" : [
        t.withError || t.error ? "focus:ring-red-500/20 focus:border-red-500" : "focus:ring-blue-500/20 focus:border-blue-500",
        "hover:border-gray-300"
      ];
      return [
        ...n,
        a,
        r,
        l,
        i,
        c.left,
        c.right,
        d
      ].filter(Boolean).join(" ");
    });
    return (n, a) => (p(), x("div", ee({
      class: [
        "relative flex flex-col",
        { "opacity-50 pointer-events-none": n.disabled }
      ]
    }, n.wrapperProps), [
      n.label ? (p(), x("label", ee({
        key: 0,
        for: n.id,
        class: "mb-1 text-sm font-medium text-gray-700 flex items-center gap-1"
      }, n.labelProps), [
        te(P(n.label) + " ", 1),
        n.required || n.withAsterisk ? (p(), x("span", Ut, "*")) : B("", !0)
      ], 16, Gt)) : B("", !0),
      v("div", Zt, [
        n.leftSection ? (p(), x("div", ee({
          key: 0,
          class: "absolute inset-y-0 left-0 flex items-center pl-3"
        }, n.leftSectionProps), [
          (p(), K(pe(n.leftSection)))
        ], 16)) : B("", !0),
        v("input", ee({
          id: n.id,
          type: n.type,
          value: n.modelValue,
          placeholder: n.placeholder,
          disabled: n.disabled,
          required: n.required,
          class: o.value,
          onInput: a[0] || (a[0] = (r) => n.$emit("update:modelValue", r.target.value))
        }, n.inputProps), null, 16, Qt),
        n.rightSection ? (p(), x("div", ee({
          key: 1,
          class: "absolute inset-y-0 right-0 flex items-center pr-3"
        }, n.rightSectionProps), [
          (p(), K(pe(n.rightSection)))
        ], 16)) : B("", !0)
      ]),
      n.description ? (p(), x("p", ee({
        key: 1,
        class: "mt-1 text-sm text-gray-500"
      }, n.descriptionProps), P(n.description), 17)) : B("", !0),
      n.error ? (p(), x("p", ee({
        key: 2,
        class: "mt-1 text-sm text-red-500"
      }, n.errorProps), P(n.error), 17)) : B("", !0)
    ], 16));
  }
}), Jt = ["aria-expanded", "aria-disabled"], es = ["placeholder", "disabled"], ts = {
  key: 1,
  class: "w-full truncate text-gray-900"
}, ss = { class: "flex items-center gap-2 shrink-0" }, ns = {
  key: 0,
  class: "py-3 text-center text-gray-500"
}, os = ["onClick"], as = {
  key: 0,
  class: "py-3 px-4 text-gray-500 text-center text-sm"
}, Sn = /* @__PURE__ */ A({
  __name: "Select",
  props: {
    modelValue: { default: null },
    options: { default: () => [] },
    placeholder: { default: "Select option" },
    disabled: { type: Boolean, default: !1 },
    searchable: { type: Boolean, default: !1 },
    clearable: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    error: { type: Boolean, default: !1 },
    size: { default: "md" },
    radius: { default: "sm" },
    variant: { default: "outline" },
    color: { default: "primary" },
    withCheckIcon: { type: Boolean, default: !0 },
    checkIconPosition: { default: "right" },
    nothingFoundMessage: { default: "Nothing found..." }
  },
  emits: ["update:modelValue", "change"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = O(!1), a = O(""), r = O(null), l = O(null), i = (y) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[y] || "rounded-lg", c = g(() => {
      const y = "w-full flex items-center justify-between transition-colors duration-200", z = [
        N(e.size, "input"),
        Oe(e.size, "input")
      ].join(" "), k = i(e.radius), S = e.error ? "focus-within:ring-2 focus-within:ring-red-500/20 focus-within:border-red-500" : "focus-within:ring-2 focus-within:ring-blue-500/20 focus-within:border-blue-500", V = e.variant === "filled" ? `bg-gray-50 border border-transparent ${!e.disabled && `hover:bg-gray-100 focus-within:bg-white focus-within:border-gray-300 ${S}`}` : `bg-white border border-gray-300 ${!e.disabled && `hover:border-gray-400 ${S}`}`, _ = oe({
        disabled: e.disabled,
        error: e.error
      }), D = !e.disabled && "cursor-pointer";
      return [
        y,
        z,
        k,
        V,
        _,
        D
      ].filter(Boolean).join(" ");
    }), d = g(() => e.options.find((y) => y.value === e.modelValue)), f = g(() => {
      if (!a.value)
        return e.options;
      const y = a.value.toLowerCase();
      return e.options.filter(
        (z) => z.label.toLowerCase().includes(y)
      );
    }), b = () => {
      var y;
      e.disabled || (e.searchable ? ((y = r.value) == null || y.focus(), n.value = !0) : n.value = !n.value);
    }, u = (y) => {
      o("update:modelValue", y.value), o("change", y), n.value = !1, e.searchable && (a.value = y.label);
    }, h = () => {
      o("update:modelValue", null), o("change", null), a.value = "";
    }, m = () => {
      n.value || (n.value = !0);
    }, w = () => {
      n.value || (n.value = !0);
    }, $ = (y) => {
      const z = y.target;
      l.value && !l.value.contains(z) && (n.value = !1);
    };
    return ve(() => e.modelValue, (y) => {
      y ? d.value && e.searchable && (a.value = d.value.label) : a.value = "";
    }), nt(() => {
      document.addEventListener("click", $);
    }), At(() => {
      document.removeEventListener("click", $);
    }), (y, z) => (p(), x("div", {
      class: "relative select",
      ref_key: "selectRoot",
      ref: l
    }, [
      v("div", {
        class: C(c.value),
        role: "combobox",
        "aria-expanded": n.value,
        "aria-disabled": y.disabled,
        onClick: b
      }, [
        y.searchable ? fe((p(), x("input", {
          key: 0,
          ref_key: "searchInput",
          ref: r,
          "onUpdate:modelValue": z[0] || (z[0] = (k) => a.value = k),
          placeholder: y.placeholder,
          type: "text",
          class: "w-full bg-transparent outline-none placeholder:text-gray-500",
          disabled: y.disabled,
          onFocus: m,
          onInput: w
        }, null, 40, es)), [
          [Ot, a.value]
        ]) : (p(), x("div", ts, P(d.value ? d.value.label : y.placeholder), 1)),
        v("div", ss, [
          y.clearable && y.modelValue && !y.disabled ? (p(), x("button", {
            key: 0,
            type: "button",
            class: "p-1 hover:bg-gray-100 rounded-full text-gray-500 hover:text-gray-700",
            onClick: st(h, ["stop"])
          }, z[1] || (z[1] = [
            v("svg", {
              class: "w-4 h-4",
              fill: "none",
              stroke: "currentColor",
              viewBox: "0 0 24 24"
            }, [
              v("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M6 18L18 6M6 6l12 12"
              })
            ], -1)
          ]))) : B("", !0),
          (p(), x("svg", {
            class: C(["w-4 h-4 text-gray-500 transition-transform duration-200", { "rotate-180": n.value }]),
            fill: "none",
            stroke: "currentColor",
            viewBox: "0 0 24 24"
          }, z[2] || (z[2] = [
            v("path", {
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "2",
              d: "M19 9l-7 7-7-7"
            }, null, -1)
          ]), 2))
        ])
      ], 10, Jt),
      fe(v("div", {
        class: C([
          "absolute w-full z-50 mt-1 bg-white",
          "border border-gray-200",
          i(e.radius),
          "shadow-lg max-h-[240px] overflow-auto",
          "divide-y divide-gray-100"
        ])
      }, [
        y.loading ? (p(), x("div", ns, [
          L(y.$slots, "loader", {}, () => [
            z[3] || (z[3] = v("svg", {
              class: "animate-spin h-5 w-5 mx-auto",
              xmlns: "http://www.w3.org/2000/svg",
              fill: "none",
              viewBox: "0 0 24 24"
            }, [
              v("circle", {
                class: "opacity-25",
                cx: "12",
                cy: "12",
                r: "10",
                stroke: "currentColor",
                "stroke-width": "4"
              }),
              v("path", {
                class: "opacity-75",
                fill: "currentColor",
                d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
              })
            ], -1))
          ])
        ])) : (p(), x(ge, { key: 1 }, [
          (p(!0), x(ge, null, We(f.value, (k) => (p(), x("div", {
            key: k.value,
            class: C([
              "py-2.5 px-4 flex items-center transition-colors duration-200",
              "text-[14px] leading-5",
              "text-gray-900",
              k.value === y.modelValue ? "bg-gray-50 font-medium" : "hover:bg-gray-50",
              k.disabled ? "opacity-50 cursor-not-allowed" : "cursor-pointer"
            ]),
            onClick: (S) => !k.disabled && u(k)
          }, [
            y.withCheckIcon && k.value === y.modelValue ? (p(), x("svg", {
              key: 0,
              class: C([
                "w-4 h-4 text-blue-600 shrink-0",
                y.checkIconPosition === "left" ? "mr-2" : "ml-2 order-last"
              ]),
              fill: "none",
              stroke: "currentColor",
              viewBox: "0 0 24 24"
            }, z[4] || (z[4] = [
              v("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M5 13l4 4L19 7"
              }, null, -1)
            ]), 2)) : B("", !0),
            v("span", {
              class: C({ "text-gray-500": k.disabled })
            }, P(k.label), 3)
          ], 10, os))), 128)),
          f.value.length === 0 ? (p(), x("div", as, P(y.nothingFoundMessage || "No options found"), 1)) : B("", !0)
        ], 64))
      ], 2), [
        [Ae, n.value]
      ])
    ], 512));
  }
}), ls = ["disabled"], rs = {
  key: 0,
  class: "w-3.5 h-3.5",
  viewBox: "0 0 20 20",
  fill: "currentColor"
}, is = {
  key: 1,
  class: "animate-spin"
}, _n = /* @__PURE__ */ A({
  __name: "Chip",
  props: {
    modelValue: { type: Boolean, default: !1 },
    label: { default: "" },
    size: { default: "md" },
    variant: { default: "filled" },
    color: { default: "primary" },
    radius: { default: "xl" },
    checked: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    withRemoveButton: { type: Boolean, default: !1 },
    withCheckIcon: { type: Boolean, default: !0 },
    checkIconPosition: { default: "left" },
    allowDeselect: { type: Boolean, default: !0 },
    loading: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = g(() => se(e.color)), a = g(() => N(e.size, "chip")), r = g(() => oe({
      disabled: e.disabled,
      loading: e.loading
    })), l = g(() => se(e.color, "filled")), i = g(() => se(e.color, "outline")), c = () => {
      e.disabled || e.loading || e.modelValue && !e.allowDeselect || o("update:modelValue", !e.modelValue);
    };
    return (d, f) => (p(), x("button", {
      class: C([
        "inline-flex items-center justify-center gap-2 rounded-full transition-colors duration-200 select-none",
        "focus:outline-none",
        n.value,
        a.value,
        r.value,
        d.modelValue ? l.value : i.value,
        "cursor-pointer"
      ]),
      disabled: d.disabled || d.loading,
      onClick: c
    }, [
      d.withCheckIcon && d.modelValue ? (p(), x("svg", rs, f[0] || (f[0] = [
        v("path", {
          "fill-rule": "evenodd",
          d: "M16.707 5.293a1 1 0 010 1.414l-8 8a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L8 12.586l7.293-7.293a1 1 0 011.414 0z",
          "clip-rule": "evenodd"
        }, null, -1)
      ]))) : B("", !0),
      d.loading ? (p(), x("span", is, f[1] || (f[1] = [
        v("svg", {
          class: "w-3.5 h-3.5",
          xmlns: "http://www.w3.org/2000/svg",
          fill: "none",
          viewBox: "0 0 24 24"
        }, [
          v("circle", {
            class: "opacity-25",
            cx: "12",
            cy: "12",
            r: "10",
            stroke: "currentColor",
            "stroke-width": "4"
          }),
          v("path", {
            class: "opacity-75",
            fill: "currentColor",
            d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
          })
        ], -1)
      ]))) : B("", !0),
      v("span", {
        class: C([
          "whitespace-nowrap",
          d.loading ? "opacity-75" : ""
        ])
      }, P(d.label), 3)
    ], 10, ls));
  }
}), cs = (s, t = 0) => {
  const e = {
    position: "absolute",
    transform: "translate(50%, -50%)"
  }, [o, n] = s.split("-");
  if (o === "top" ? e.top = "0" : o === "bottom" ? (e.bottom = "0", e.transform = "translate(50%, 50%)") : o === "middle" && (e.top = "50%", n === "start" ? e.transform = "translate(-50%, -50%)" : n === "end" ? e.transform = "translate(50%, -50%)" : e.transform = "translate(0, -50%)"), n === "start" ? (e.left = "0", e.transform = o === "bottom" ? "translate(-50%, 50%)" : "translate(-50%, -50%)") : n === "end" ? e.right = "0" : n === "center" && (e.left = "50%", e.transform = o === "bottom" ? "translate(-50%, 50%)" : "translate(-50%, -50%)"), t) {
    const a = e.transform.includes("50%") ? "50%" : "0", r = e.transform.includes("-50%") ? "-50%" : "50%";
    (o === "top" || o === "bottom") && (e.transform = `translate(${a}, ${r}) translateY(${t}px)`), (n === "start" || n === "end") && (e.transform = `translate(${a}, ${r}) translateX(${n === "start" ? -t : t}px)`);
  }
  return e;
}, us = {
  name: "Indicator"
}, ds = /* @__PURE__ */ A({
  ...us,
  props: {
    position: { default: "top-end" },
    size: { default: "md" },
    radius: { default: "xl" },
    color: { default: "primary" },
    variant: { default: "filled" },
    offset: { default: 0 },
    inline: { type: Boolean, default: !1 },
    label: { default: "" },
    withBorder: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    processing: { type: Boolean, default: !1 },
    zIndex: { default: 200 }
  },
  setup(s) {
    const t = s, e = g(() => [
      t.inline ? "inline-block" : "block",
      "relative"
    ]), o = g(() => ({
      ...t.inline && { display: "inline-block" }
    })), n = g(() => [
      // Base classes
      "flex items-center justify-center",
      "absolute",
      "select-none",
      "rounded-full",
      // Size classes
      Oe(t.size, "indicator"),
      N(t.size, "indicator"),
      // Color classes
      !t.disabled && `bg-${t.color === "primary" ? "blue" : t.color}-600 text-white`,
      t.disabled && "bg-gray-200 text-gray-500",
      // Border classes
      t.withBorder && "border-2 border-white dark:border-gray-900",
      // Processing animation
      t.processing && "animate-pulse"
    ]), a = g(() => ({
      ...cs(t.position, t.offset),
      zIndex: t.zIndex
    }));
    return (r, l) => (p(), x("div", {
      class: C(e.value),
      style: E(o.value)
    }, [
      r.disabled ? B("", !0) : (p(), x("div", {
        key: 0,
        class: C(n.value),
        style: E(a.value)
      }, P(r.label), 7)),
      L(r.$slots, "default", {}, void 0, !0)
    ], 6));
  }
});
const ps = (s, t) => {
  const e = s.__vccOpts || s;
  for (const [o, n] of t)
    e[o] = n;
  return e;
}, Ln = /* @__PURE__ */ ps(ds, [["__scopeId", "data-v-643e9acf"]]), fs = ["aria-valuenow"], An = /* @__PURE__ */ A({
  __name: "Progress",
  props: {
    value: { default: 0 },
    size: { default: "md" },
    color: {},
    label: {},
    striped: { type: Boolean, default: !1 },
    animated: { type: Boolean, default: !1 }
  },
  setup(s) {
    return (t, e) => (p(), x("div", {
      class: C([
        "relative w-full rounded-sm overflow-hidden",
        "bg-gray-100",
        M(Oe)(t.size, "progress")
      ]),
      role: "progressbar",
      "aria-valuenow": t.value,
      "aria-valuemin": "0",
      "aria-valuemax": "100"
    }, [
      v("div", {
        class: C([
          "h-full transition-all duration-300 ease-in-out",
          M(se)(t.color || "primary", "filled"),
          {
            "bg-striped": t.striped && !t.animated,
            "bg-striped animate-progress": t.animated
          }
        ]),
        style: E({ width: `${t.value}%` })
      }, [
        t.label && (t.size === "lg" || t.size === "xl") ? (p(), x("span", {
          key: 0,
          class: C([
            "block px-2 py-1 text-white whitespace-nowrap font-medium leading-none",
            M(ut)(t.size)
          ])
        }, P(t.label), 3)) : B("", !0)
      ], 6)
    ], 10, fs));
  }
});
const gs = {
  key: 0,
  class: "flex-shrink-0"
}, hs = {
  key: 0,
  class: "flex items-center justify-between"
}, ms = {
  key: 1,
  class: "flex-shrink-0 ml-3"
}, xs = ["disabled"], On = /* @__PURE__ */ A({
  __name: "Alert",
  props: {
    title: {},
    message: {},
    icon: {},
    variant: { default: "default" },
    color: { default: "primary" },
    size: { default: "md" },
    closable: { type: Boolean, default: !1 },
    onClose: {},
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    valid: { type: Boolean, default: void 0 },
    invalid: { type: Boolean, default: void 0 }
  },
  emits: ["close"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = g(() => se(e.color, e.variant, {
      hover: !1,
      active: !1,
      focus: !1,
      disabled: e.disabled
    })), a = g(() => Et(e.variant)), r = g(() => Mt(e.color, e.variant)), l = g(() => Tt(e.color, e.variant)), i = g(() => N(e.size, "alert")), c = g(() => ct(e.size, "alert")), d = g(() => ut(e.size)), f = g(() => dt(e.size)), b = g(() => oe({
      disabled: e.disabled,
      loading: e.loading
    })), u = g(() => It({
      valid: e.valid,
      invalid: e.invalid
    })), h = g(() => jt({
      hover: !0,
      focus: !0
    }, e.color)), m = () => {
      o("close");
    };
    return (w, $) => (p(), x("div", {
      class: C([
        "relative rounded-md",
        a.value,
        n.value,
        i.value,
        b.value,
        u.value
      ]),
      role: "alert"
    }, [
      v("div", {
        class: C(["flex items-start", [f.value]])
      }, [
        w.icon ? (p(), x("div", gs, [
          (p(), K(pe(w.icon), {
            class: C([
              c.value,
              r.value
            ])
          }, null, 8, ["class"]))
        ])) : B("", !0),
        v("div", {
          class: C(["flex-grow", [w.icon && "ml-3"]])
        }, [
          w.title ? (p(), x("div", hs, [
            v("h3", {
              class: C([
                "font-medium",
                l.value
              ])
            }, P(w.title), 3)
          ])) : B("", !0),
          w.message ? (p(), x("div", {
            key: 1,
            class: C([
              "mt-1",
              w.variant === "filled" ? "text-white/90" : "text-gray-600",
              d.value
            ])
          }, P(w.message), 3)) : B("", !0),
          L(w.$slots, "default")
        ], 2),
        w.closable ? (p(), x("div", ms, [
          v("button", {
            type: "button",
            class: C(["inline-flex rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2", [
              w.variant === "filled" ? "text-white/80 hover:text-white focus:ring-white" : "text-gray-400 hover:text-gray-500 focus:ring-blue-500",
              h.value
            ]]),
            disabled: w.disabled,
            onClick: m
          }, $[0] || ($[0] = [
            v("span", { class: "sr-only" }, "Close", -1),
            v("svg", {
              class: "h-5 w-5",
              viewBox: "0 0 20 20",
              fill: "currentColor",
              "aria-hidden": "true"
            }, [
              v("path", { d: "M6.28 5.22a.75.75 0 00-1.06 1.06L8.94 10l-3.72 3.72a.75.75 0 101.06 1.06L10 11.06l3.72 3.72a.75.75 0 101.06-1.06L11.06 10l3.72-3.72a.75.75 0 00-1.06-1.06L10 8.94 6.28 5.22z" })
            ], -1)
          ]), 10, xs)
        ])) : B("", !0)
      ], 2)
    ], 2));
  }
}), Pn = /* @__PURE__ */ A({
  __name: "Collapse",
  props: {
    open: { type: Boolean, default: !1 },
    duration: { default: 200 },
    class: {},
    size: { default: "md" },
    disableTransition: { type: Boolean, default: !1 }
  },
  setup(s) {
    const t = s, e = O(null), o = O(null), n = {
      xs: "p-1",
      sm: "p-2",
      md: "p-3",
      lg: "p-4",
      xl: "p-5"
    }, a = g(() => dt(t.size)), r = g(() => n[t.size]), l = g(
      () => t.disableTransition ? "" : `transition-[height] ease-in-out duration-${t.duration}`
    ), i = g(() => ({
      enter: t.duration,
      leave: t.duration
    })), c = (m) => {
      m.style.height = "0", m.style.overflow = "hidden";
    }, d = (m) => {
      const w = m.scrollHeight;
      m.style.height = "0", m.offsetHeight, m.style.height = `${w}px`;
    }, f = (m) => {
      m.style.height = "", m.style.overflow = "";
    }, b = (m) => {
      m.style.height = `${m.scrollHeight}px`, m.style.overflow = "hidden", m.offsetHeight;
    }, u = (m) => {
      m.style.height = "0";
    }, h = (m) => {
      m.style.height = "", m.style.overflow = "";
    };
    return (m, w) => (p(), K(ke, {
      duration: i.value,
      onBeforeEnter: c,
      onEnter: d,
      onAfterEnter: f,
      onBeforeLeave: b,
      onLeave: u,
      onAfterLeave: h
    }, {
      default: ne(() => [
        fe(v("div", {
          class: C([
            "overflow-hidden",
            a.value,
            l.value,
            t.class
          ]),
          ref_key: "contentRef",
          ref: e
        }, [
          v("div", {
            ref_key: "innerRef",
            ref: o,
            class: C(r.value)
          }, [
            L(m.$slots, "default")
          ], 2)
        ], 2), [
          [Ae, m.open]
        ])
      ]),
      _: 3
    }, 8, ["duration"]));
  }
}), ys = { class: "inline-block" }, bs = /* @__PURE__ */ A({
  __name: "OvalLoader",
  props: {
    size: { default: "md" }
  },
  setup(s) {
    const t = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, e = s, o = g(() => {
      const n = parseInt(t[e.size]);
      return `${Math.max(2, n / 12)}px`;
    });
    return (n, a) => (p(), x("span", ys, [
      v("span", {
        class: "inline-block rounded-full border-solid border-r-transparent border-current animate-[oval-spin_1.2s_linear_infinite]",
        style: E({
          width: t[e.size],
          height: t[e.size],
          borderWidth: o.value
        })
      }, null, 4)
    ]));
  }
});
const vs = /* @__PURE__ */ A({
  __name: "DotsLoader",
  props: {
    size: { default: "md" }
  },
  setup(s) {
    const t = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, e = s, o = g(() => `${parseInt(t[e.size]) / 3}px`), n = g(() => `${parseInt(t[e.size]) / 6}px`);
    return (a, r) => (p(), x("span", {
      class: "inline-flex items-center",
      style: E({
        gap: n.value,
        height: t[e.size]
      })
    }, [
      (p(), x(ge, null, We(3, (l) => v("span", {
        key: l,
        class: "inline-block rounded-full animate-[dots-pulse_0.8s_infinite_linear] bg-current",
        style: E({
          width: o.value,
          height: o.value,
          animationDelay: `${(l - 1) * 0.16}s`,
          opacity: 1
        })
      }, null, 4)), 64))
    ], 4));
  }
});
const ws = /* @__PURE__ */ A({
  __name: "BarsLoader",
  props: {
    size: { default: "md" }
  },
  setup(s) {
    const t = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, e = s, o = g(() => `${parseInt(t[e.size]) / 6}px`);
    return (n, a) => (p(), x("span", {
      class: "inline-flex",
      style: E({
        gap: o.value,
        width: t[e.size],
        height: `${parseInt(t[e.size]) / 2}px`
      })
    }, [
      (p(), x(ge, null, We(3, (r) => v("span", {
        key: r,
        class: "flex-1 rounded-[2px] animate-[bars-scale_1.2s_cubic-bezier(0,0.5,0.5,1)_infinite] bg-current",
        style: E({
          animationDelay: `${(r - 1) * -0.12}s`,
          opacity: 1
        })
      }, null, 4)), 64))
    ], 4));
  }
});
const Dn = /* @__PURE__ */ A({
  __name: "Loader",
  props: {
    variant: { default: "oval" },
    color: { default: "primary" },
    size: { default: "md" },
    class: {}
  },
  setup(s) {
    const t = s, e = (r) => /^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$/.test(r), o = g(() => !t.color || e(t.color) ? "" : {
      primary: "text-blue-500",
      secondary: "text-gray-500",
      success: "text-green-500",
      warning: "text-yellow-500",
      danger: "text-red-500",
      info: "text-blue-500",
      dark: "text-gray-900",
      light: "text-white"
    }[t.color] || ""), n = g(() => !t.color || !e(t.color) ? {} : { color: t.color }), a = g(() => {
      switch (t.variant) {
        case "dots":
          return vs;
        case "bars":
          return ws;
        default:
          return bs;
      }
    });
    return (r, l) => (p(), K(pe(a.value), {
      class: C([
        "inline-block",
        o.value,
        t.class
      ]),
      style: E(n.value),
      size: t.size
    }, null, 8, ["class", "style", "size"]));
  }
}), Cs = { class: "p-4" }, ks = {
  key: 0,
  class: "absolute top-2 right-2"
}, $s = {
  key: 1,
  class: "text-lg font-medium mb-2"
}, zs = { key: 2 }, Rn = /* @__PURE__ */ A({
  __name: "Dialog",
  props: {
    title: {},
    content: {},
    opened: { type: Boolean },
    size: { default: "md" },
    withCloseButton: { type: Boolean, default: !0 },
    onClose: {},
    position: { default: () => ({ bottom: "20px", right: "20px" }) },
    keepMounted: { type: Boolean, default: !1 },
    zIndex: { default: 1e3 }
  },
  setup(s) {
    const t = s, e = g(() => ({
      xs: "w-[280px]",
      sm: "w-[320px]",
      md: "w-[380px]",
      lg: "w-[440px]",
      xl: "w-[520px]"
    })[t.size]);
    return (o, n) => (p(), K(ot, { to: "body" }, [
      he(ke, {
        "enter-active-class": "transition duration-200 ease-out",
        "enter-from-class": "opacity-0 scale-95",
        "enter-to-class": "opacity-100 scale-100",
        "leave-active-class": "transition duration-200 ease-in",
        "leave-from-class": "opacity-100 scale-100",
        "leave-to-class": "opacity-0 scale-95"
      }, {
        default: ne(() => [
          o.opened || o.keepMounted ? (p(), x("div", {
            key: 0,
            style: E({
              position: "fixed",
              zIndex: o.zIndex || 1e3,
              ...o.position,
              display: o.opened ? "block" : "none"
            }),
            class: "min-w-[200px]"
          }, [
            v("div", {
              class: C(["rounded-lg bg-white dark:bg-gray-800 shadow-lg border border-gray-200 dark:border-gray-700", [e.value]])
            }, [
              v("div", Cs, [
                o.withCloseButton ? (p(), x("div", ks, [
                  v("button", {
                    onClick: n[0] || (n[0] = //@ts-ignore
                    (...a) => o.onClose && o.onClose(...a)),
                    class: "text-gray-400 hover:text-gray-500 dark:text-gray-500 dark:hover:text-gray-400 focus:outline-none"
                  }, n[1] || (n[1] = [
                    v("span", { class: "sr-only" }, "Close", -1),
                    v("svg", {
                      class: "h-5 w-5",
                      xmlns: "http://www.w3.org/2000/svg",
                      viewBox: "0 0 20 20",
                      fill: "currentColor"
                    }, [
                      v("path", {
                        "fill-rule": "evenodd",
                        d: "M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z",
                        "clip-rule": "evenodd"
                      })
                    ], -1)
                  ]))
                ])) : B("", !0),
                o.title ? (p(), x("div", $s, P(o.title), 1)) : B("", !0),
                o.content ? (p(), x("div", zs, P(o.content), 1)) : B("", !0),
                L(o.$slots, "default")
              ])
            ], 2)
          ], 4)) : B("", !0)
        ]),
        _: 3
      })
    ]));
  }
}), we = Math.min, ue = Math.max, Se = Math.round, H = (s) => ({
  x: s,
  y: s
}), Bs = {
  left: "right",
  right: "left",
  bottom: "top",
  top: "bottom"
}, Ss = {
  start: "end",
  end: "start"
};
function Me(s, t, e) {
  return ue(s, we(t, e));
}
function $e(s, t) {
  return typeof s == "function" ? s(t) : s;
}
function ae(s) {
  return s.split("-")[0];
}
function ze(s) {
  return s.split("-")[1];
}
function ht(s) {
  return s === "x" ? "y" : "x";
}
function Ne(s) {
  return s === "y" ? "height" : "width";
}
function me(s) {
  return ["top", "bottom"].includes(ae(s)) ? "y" : "x";
}
function qe(s) {
  return ht(me(s));
}
function _s(s, t, e) {
  e === void 0 && (e = !1);
  const o = ze(s), n = qe(s), a = Ne(n);
  let r = n === "x" ? o === (e ? "end" : "start") ? "right" : "left" : o === "start" ? "bottom" : "top";
  return t.reference[a] > t.floating[a] && (r = _e(r)), [r, _e(r)];
}
function Ls(s) {
  const t = _e(s);
  return [Te(s), t, Te(t)];
}
function Te(s) {
  return s.replace(/start|end/g, (t) => Ss[t]);
}
function As(s, t, e) {
  const o = ["left", "right"], n = ["right", "left"], a = ["top", "bottom"], r = ["bottom", "top"];
  switch (s) {
    case "top":
    case "bottom":
      return e ? t ? n : o : t ? o : n;
    case "left":
    case "right":
      return t ? a : r;
    default:
      return [];
  }
}
function Os(s, t, e, o) {
  const n = ze(s);
  let a = As(ae(s), e === "start", o);
  return n && (a = a.map((r) => r + "-" + n), t && (a = a.concat(a.map(Te)))), a;
}
function _e(s) {
  return s.replace(/left|right|bottom|top/g, (t) => Bs[t]);
}
function Ps(s) {
  return {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0,
    ...s
  };
}
function mt(s) {
  return typeof s != "number" ? Ps(s) : {
    top: s,
    right: s,
    bottom: s,
    left: s
  };
}
function Le(s) {
  const {
    x: t,
    y: e,
    width: o,
    height: n
  } = s;
  return {
    width: o,
    height: n,
    top: e,
    left: t,
    right: t + o,
    bottom: e + n,
    x: t,
    y: e
  };
}
function Ue(s, t, e) {
  let {
    reference: o,
    floating: n
  } = s;
  const a = me(t), r = qe(t), l = Ne(r), i = ae(t), c = a === "y", d = o.x + o.width / 2 - n.width / 2, f = o.y + o.height / 2 - n.height / 2, b = o[l] / 2 - n[l] / 2;
  let u;
  switch (i) {
    case "top":
      u = {
        x: d,
        y: o.y - n.height
      };
      break;
    case "bottom":
      u = {
        x: d,
        y: o.y + o.height
      };
      break;
    case "right":
      u = {
        x: o.x + o.width,
        y: f
      };
      break;
    case "left":
      u = {
        x: o.x - n.width,
        y: f
      };
      break;
    default:
      u = {
        x: o.x,
        y: o.y
      };
  }
  switch (ze(t)) {
    case "start":
      u[r] -= b * (e && c ? -1 : 1);
      break;
    case "end":
      u[r] += b * (e && c ? -1 : 1);
      break;
  }
  return u;
}
const Ds = async (s, t, e) => {
  const {
    placement: o = "bottom",
    strategy: n = "absolute",
    middleware: a = [],
    platform: r
  } = e, l = a.filter(Boolean), i = await (r.isRTL == null ? void 0 : r.isRTL(t));
  let c = await r.getElementRects({
    reference: s,
    floating: t,
    strategy: n
  }), {
    x: d,
    y: f
  } = Ue(c, o, i), b = o, u = {}, h = 0;
  for (let m = 0; m < l.length; m++) {
    const {
      name: w,
      fn: $
    } = l[m], {
      x: y,
      y: z,
      data: k,
      reset: S
    } = await $({
      x: d,
      y: f,
      initialPlacement: o,
      placement: b,
      strategy: n,
      middlewareData: u,
      rects: c,
      platform: r,
      elements: {
        reference: s,
        floating: t
      }
    });
    d = y ?? d, f = z ?? f, u = {
      ...u,
      [w]: {
        ...u[w],
        ...k
      }
    }, S && h <= 50 && (h++, typeof S == "object" && (S.placement && (b = S.placement), S.rects && (c = S.rects === !0 ? await r.getElementRects({
      reference: s,
      floating: t,
      strategy: n
    }) : S.rects), {
      x: d,
      y: f
    } = Ue(c, b, i)), m = -1);
  }
  return {
    x: d,
    y: f,
    placement: b,
    strategy: n,
    middlewareData: u
  };
};
async function xt(s, t) {
  var e;
  t === void 0 && (t = {});
  const {
    x: o,
    y: n,
    platform: a,
    rects: r,
    elements: l,
    strategy: i
  } = s, {
    boundary: c = "clippingAncestors",
    rootBoundary: d = "viewport",
    elementContext: f = "floating",
    altBoundary: b = !1,
    padding: u = 0
  } = $e(t, s), h = mt(u), w = l[b ? f === "floating" ? "reference" : "floating" : f], $ = Le(await a.getClippingRect({
    element: (e = await (a.isElement == null ? void 0 : a.isElement(w))) == null || e ? w : w.contextElement || await (a.getDocumentElement == null ? void 0 : a.getDocumentElement(l.floating)),
    boundary: c,
    rootBoundary: d,
    strategy: i
  })), y = f === "floating" ? {
    x: o,
    y: n,
    width: r.floating.width,
    height: r.floating.height
  } : r.reference, z = await (a.getOffsetParent == null ? void 0 : a.getOffsetParent(l.floating)), k = await (a.isElement == null ? void 0 : a.isElement(z)) ? await (a.getScale == null ? void 0 : a.getScale(z)) || {
    x: 1,
    y: 1
  } : {
    x: 1,
    y: 1
  }, S = Le(a.convertOffsetParentRelativeRectToViewportRelativeRect ? await a.convertOffsetParentRelativeRectToViewportRelativeRect({
    elements: l,
    rect: y,
    offsetParent: z,
    strategy: i
  }) : y);
  return {
    top: ($.top - S.top + h.top) / k.y,
    bottom: (S.bottom - $.bottom + h.bottom) / k.y,
    left: ($.left - S.left + h.left) / k.x,
    right: (S.right - $.right + h.right) / k.x
  };
}
const Rs = (s) => ({
  name: "arrow",
  options: s,
  async fn(t) {
    const {
      x: e,
      y: o,
      placement: n,
      rects: a,
      platform: r,
      elements: l,
      middlewareData: i
    } = t, {
      element: c,
      padding: d = 0
    } = $e(s, t) || {};
    if (c == null)
      return {};
    const f = mt(d), b = {
      x: e,
      y: o
    }, u = qe(n), h = Ne(u), m = await r.getDimensions(c), w = u === "y", $ = w ? "top" : "left", y = w ? "bottom" : "right", z = w ? "clientHeight" : "clientWidth", k = a.reference[h] + a.reference[u] - b[u] - a.floating[h], S = b[u] - a.reference[u], V = await (r.getOffsetParent == null ? void 0 : r.getOffsetParent(c));
    let _ = V ? V[z] : 0;
    (!_ || !await (r.isElement == null ? void 0 : r.isElement(V))) && (_ = l.floating[z] || a.floating[h]);
    const D = k / 2 - S / 2, W = _ / 2 - m[h] / 2 - 1, G = we(f[$], W), ye = we(f[y], W), J = G, be = _ - m[h] - ye, R = _ / 2 - m[h] / 2 + D, re = Me(J, R, be), Y = !i.arrow && ze(n) != null && R !== re && a.reference[h] / 2 - (R < J ? G : ye) - m[h] / 2 < 0, F = Y ? R < J ? R - J : R - be : 0;
    return {
      [u]: b[u] + F,
      data: {
        [u]: re,
        centerOffset: R - re - F,
        ...Y && {
          alignmentOffset: F
        }
      },
      reset: Y
    };
  }
}), Vs = function(s) {
  return s === void 0 && (s = {}), {
    name: "flip",
    options: s,
    async fn(t) {
      var e, o;
      const {
        placement: n,
        middlewareData: a,
        rects: r,
        initialPlacement: l,
        platform: i,
        elements: c
      } = t, {
        mainAxis: d = !0,
        crossAxis: f = !0,
        fallbackPlacements: b,
        fallbackStrategy: u = "bestFit",
        fallbackAxisSideDirection: h = "none",
        flipAlignment: m = !0,
        ...w
      } = $e(s, t);
      if ((e = a.arrow) != null && e.alignmentOffset)
        return {};
      const $ = ae(n), y = me(l), z = ae(l) === l, k = await (i.isRTL == null ? void 0 : i.isRTL(c.floating)), S = b || (z || !m ? [_e(l)] : Ls(l)), V = h !== "none";
      !b && V && S.push(...Os(l, m, h, k));
      const _ = [l, ...S], D = await xt(t, w), W = [];
      let G = ((o = a.flip) == null ? void 0 : o.overflows) || [];
      if (d && W.push(D[$]), f) {
        const R = _s(n, r, k);
        W.push(D[R[0]], D[R[1]]);
      }
      if (G = [...G, {
        placement: n,
        overflows: W
      }], !W.every((R) => R <= 0)) {
        var ye, J;
        const R = (((ye = a.flip) == null ? void 0 : ye.index) || 0) + 1, re = _[R];
        if (re)
          return {
            data: {
              index: R,
              overflows: G
            },
            reset: {
              placement: re
            }
          };
        let Y = (J = G.filter((F) => F.overflows[0] <= 0).sort((F, U) => F.overflows[1] - U.overflows[1])[0]) == null ? void 0 : J.placement;
        if (!Y)
          switch (u) {
            case "bestFit": {
              var be;
              const F = (be = G.filter((U) => {
                if (V) {
                  const Z = me(U.placement);
                  return Z === y || // Create a bias to the `y` side axis due to horizontal
                  // reading directions favoring greater width.
                  Z === "y";
                }
                return !0;
              }).map((U) => [U.placement, U.overflows.filter((Z) => Z > 0).reduce((Z, _t) => Z + _t, 0)]).sort((U, Z) => U[1] - Z[1])[0]) == null ? void 0 : be[0];
              F && (Y = F);
              break;
            }
            case "initialPlacement":
              Y = l;
              break;
          }
        if (n !== Y)
          return {
            reset: {
              placement: Y
            }
          };
      }
      return {};
    }
  };
};
async function Ms(s, t) {
  const {
    placement: e,
    platform: o,
    elements: n
  } = s, a = await (o.isRTL == null ? void 0 : o.isRTL(n.floating)), r = ae(e), l = ze(e), i = me(e) === "y", c = ["left", "top"].includes(r) ? -1 : 1, d = a && i ? -1 : 1, f = $e(t, s);
  let {
    mainAxis: b,
    crossAxis: u,
    alignmentAxis: h
  } = typeof f == "number" ? {
    mainAxis: f,
    crossAxis: 0,
    alignmentAxis: null
  } : {
    mainAxis: f.mainAxis || 0,
    crossAxis: f.crossAxis || 0,
    alignmentAxis: f.alignmentAxis
  };
  return l && typeof h == "number" && (u = l === "end" ? h * -1 : h), i ? {
    x: u * d,
    y: b * c
  } : {
    x: b * c,
    y: u * d
  };
}
const Ts = function(s) {
  return s === void 0 && (s = 0), {
    name: "offset",
    options: s,
    async fn(t) {
      var e, o;
      const {
        x: n,
        y: a,
        placement: r,
        middlewareData: l
      } = t, i = await Ms(t, s);
      return r === ((e = l.offset) == null ? void 0 : e.placement) && (o = l.arrow) != null && o.alignmentOffset ? {} : {
        x: n + i.x,
        y: a + i.y,
        data: {
          ...i,
          placement: r
        }
      };
    }
  };
}, Es = function(s) {
  return s === void 0 && (s = {}), {
    name: "shift",
    options: s,
    async fn(t) {
      const {
        x: e,
        y: o,
        placement: n
      } = t, {
        mainAxis: a = !0,
        crossAxis: r = !1,
        limiter: l = {
          fn: (w) => {
            let {
              x: $,
              y
            } = w;
            return {
              x: $,
              y
            };
          }
        },
        ...i
      } = $e(s, t), c = {
        x: e,
        y: o
      }, d = await xt(t, i), f = me(ae(n)), b = ht(f);
      let u = c[b], h = c[f];
      if (a) {
        const w = b === "y" ? "top" : "left", $ = b === "y" ? "bottom" : "right", y = u + d[w], z = u - d[$];
        u = Me(y, u, z);
      }
      if (r) {
        const w = f === "y" ? "top" : "left", $ = f === "y" ? "bottom" : "right", y = h + d[w], z = h - d[$];
        h = Me(y, h, z);
      }
      const m = l.fn({
        ...t,
        [b]: u,
        [f]: h
      });
      return {
        ...m,
        data: {
          x: m.x - e,
          y: m.y - o,
          enabled: {
            [b]: a,
            [f]: r
          }
        }
      };
    }
  };
};
function Pe() {
  return typeof window < "u";
}
function le(s) {
  return Ye(s) ? (s.nodeName || "").toLowerCase() : "#document";
}
function T(s) {
  var t;
  return (s == null || (t = s.ownerDocument) == null ? void 0 : t.defaultView) || window;
}
function X(s) {
  var t;
  return (t = (Ye(s) ? s.ownerDocument : s.document) || window.document) == null ? void 0 : t.documentElement;
}
function Ye(s) {
  return Pe() ? s instanceof Node || s instanceof T(s).Node : !1;
}
function I(s) {
  return Pe() ? s instanceof Element || s instanceof T(s).Element : !1;
}
function q(s) {
  return Pe() ? s instanceof HTMLElement || s instanceof T(s).HTMLElement : !1;
}
function Ze(s) {
  return !Pe() || typeof ShadowRoot > "u" ? !1 : s instanceof ShadowRoot || s instanceof T(s).ShadowRoot;
}
function Be(s) {
  const {
    overflow: t,
    overflowX: e,
    overflowY: o,
    display: n
  } = j(s);
  return /auto|scroll|overlay|hidden|clip/.test(t + o + e) && !["inline", "contents"].includes(n);
}
function Is(s) {
  return ["table", "td", "th"].includes(le(s));
}
function De(s) {
  return [":popover-open", ":modal"].some((t) => {
    try {
      return s.matches(t);
    } catch {
      return !1;
    }
  });
}
function Ke(s) {
  const t = Xe(), e = I(s) ? j(s) : s;
  return e.transform !== "none" || e.perspective !== "none" || (e.containerType ? e.containerType !== "normal" : !1) || !t && (e.backdropFilter ? e.backdropFilter !== "none" : !1) || !t && (e.filter ? e.filter !== "none" : !1) || ["transform", "perspective", "filter"].some((o) => (e.willChange || "").includes(o)) || ["paint", "layout", "strict", "content"].some((o) => (e.contain || "").includes(o));
}
function js(s) {
  let t = Q(s);
  for (; q(t) && !xe(t); ) {
    if (Ke(t))
      return t;
    if (De(t))
      return null;
    t = Q(t);
  }
  return null;
}
function Xe() {
  return typeof CSS > "u" || !CSS.supports ? !1 : CSS.supports("-webkit-backdrop-filter", "none");
}
function xe(s) {
  return ["html", "body", "#document"].includes(le(s));
}
function j(s) {
  return T(s).getComputedStyle(s);
}
function Re(s) {
  return I(s) ? {
    scrollLeft: s.scrollLeft,
    scrollTop: s.scrollTop
  } : {
    scrollLeft: s.scrollX,
    scrollTop: s.scrollY
  };
}
function Q(s) {
  if (le(s) === "html")
    return s;
  const t = (
    // Step into the shadow DOM of the parent of a slotted node.
    s.assignedSlot || // DOM Element detected.
    s.parentNode || // ShadowRoot detected.
    Ze(s) && s.host || // Fallback.
    X(s)
  );
  return Ze(t) ? t.host : t;
}
function yt(s) {
  const t = Q(s);
  return xe(t) ? s.ownerDocument ? s.ownerDocument.body : s.body : q(t) && Be(t) ? t : yt(t);
}
function Ee(s, t, e) {
  var o;
  t === void 0 && (t = []), e === void 0 && (e = !0);
  const n = yt(s), a = n === ((o = s.ownerDocument) == null ? void 0 : o.body), r = T(n);
  if (a) {
    const l = Ie(r);
    return t.concat(r, r.visualViewport || [], Be(n) ? n : [], l && e ? Ee(l) : []);
  }
  return t.concat(n, Ee(n, [], e));
}
function Ie(s) {
  return s.parent && Object.getPrototypeOf(s.parent) ? s.frameElement : null;
}
function bt(s) {
  const t = j(s);
  let e = parseFloat(t.width) || 0, o = parseFloat(t.height) || 0;
  const n = q(s), a = n ? s.offsetWidth : e, r = n ? s.offsetHeight : o, l = Se(e) !== a || Se(o) !== r;
  return l && (e = a, o = r), {
    width: e,
    height: o,
    $: l
  };
}
function vt(s) {
  return I(s) ? s : s.contextElement;
}
function de(s) {
  const t = vt(s);
  if (!q(t))
    return H(1);
  const e = t.getBoundingClientRect(), {
    width: o,
    height: n,
    $: a
  } = bt(t);
  let r = (a ? Se(e.width) : e.width) / o, l = (a ? Se(e.height) : e.height) / n;
  return (!r || !Number.isFinite(r)) && (r = 1), (!l || !Number.isFinite(l)) && (l = 1), {
    x: r,
    y: l
  };
}
const Ws = /* @__PURE__ */ H(0);
function wt(s) {
  const t = T(s);
  return !Xe() || !t.visualViewport ? Ws : {
    x: t.visualViewport.offsetLeft,
    y: t.visualViewport.offsetTop
  };
}
function Fs(s, t, e) {
  return t === void 0 && (t = !1), !e || t && e !== T(s) ? !1 : t;
}
function Ce(s, t, e, o) {
  t === void 0 && (t = !1), e === void 0 && (e = !1);
  const n = s.getBoundingClientRect(), a = vt(s);
  let r = H(1);
  t && (o ? I(o) && (r = de(o)) : r = de(s));
  const l = Fs(a, e, o) ? wt(a) : H(0);
  let i = (n.left + l.x) / r.x, c = (n.top + l.y) / r.y, d = n.width / r.x, f = n.height / r.y;
  if (a) {
    const b = T(a), u = o && I(o) ? T(o) : o;
    let h = b, m = Ie(h);
    for (; m && o && u !== h; ) {
      const w = de(m), $ = m.getBoundingClientRect(), y = j(m), z = $.left + (m.clientLeft + parseFloat(y.paddingLeft)) * w.x, k = $.top + (m.clientTop + parseFloat(y.paddingTop)) * w.y;
      i *= w.x, c *= w.y, d *= w.x, f *= w.y, i += z, c += k, h = T(m), m = Ie(h);
    }
  }
  return Le({
    width: d,
    height: f,
    x: i,
    y: c
  });
}
function Ge(s, t) {
  const e = Re(s).scrollLeft;
  return t ? t.left + e : Ce(X(s)).left + e;
}
function Ct(s, t, e) {
  e === void 0 && (e = !1);
  const o = s.getBoundingClientRect(), n = o.left + t.scrollLeft - (e ? 0 : (
    // RTL <body> scrollbar.
    Ge(s, o)
  )), a = o.top + t.scrollTop;
  return {
    x: n,
    y: a
  };
}
function Hs(s) {
  let {
    elements: t,
    rect: e,
    offsetParent: o,
    strategy: n
  } = s;
  const a = n === "fixed", r = X(o), l = t ? De(t.floating) : !1;
  if (o === r || l && a)
    return e;
  let i = {
    scrollLeft: 0,
    scrollTop: 0
  }, c = H(1);
  const d = H(0), f = q(o);
  if ((f || !f && !a) && ((le(o) !== "body" || Be(r)) && (i = Re(o)), q(o))) {
    const u = Ce(o);
    c = de(o), d.x = u.x + o.clientLeft, d.y = u.y + o.clientTop;
  }
  const b = r && !f && !a ? Ct(r, i, !0) : H(0);
  return {
    width: e.width * c.x,
    height: e.height * c.y,
    x: e.x * c.x - i.scrollLeft * c.x + d.x + b.x,
    y: e.y * c.y - i.scrollTop * c.y + d.y + b.y
  };
}
function Ns(s) {
  return Array.from(s.getClientRects());
}
function qs(s) {
  const t = X(s), e = Re(s), o = s.ownerDocument.body, n = ue(t.scrollWidth, t.clientWidth, o.scrollWidth, o.clientWidth), a = ue(t.scrollHeight, t.clientHeight, o.scrollHeight, o.clientHeight);
  let r = -e.scrollLeft + Ge(s);
  const l = -e.scrollTop;
  return j(o).direction === "rtl" && (r += ue(t.clientWidth, o.clientWidth) - n), {
    width: n,
    height: a,
    x: r,
    y: l
  };
}
function Ys(s, t) {
  const e = T(s), o = X(s), n = e.visualViewport;
  let a = o.clientWidth, r = o.clientHeight, l = 0, i = 0;
  if (n) {
    a = n.width, r = n.height;
    const c = Xe();
    (!c || c && t === "fixed") && (l = n.offsetLeft, i = n.offsetTop);
  }
  return {
    width: a,
    height: r,
    x: l,
    y: i
  };
}
function Ks(s, t) {
  const e = Ce(s, !0, t === "fixed"), o = e.top + s.clientTop, n = e.left + s.clientLeft, a = q(s) ? de(s) : H(1), r = s.clientWidth * a.x, l = s.clientHeight * a.y, i = n * a.x, c = o * a.y;
  return {
    width: r,
    height: l,
    x: i,
    y: c
  };
}
function Qe(s, t, e) {
  let o;
  if (t === "viewport")
    o = Ys(s, e);
  else if (t === "document")
    o = qs(X(s));
  else if (I(t))
    o = Ks(t, e);
  else {
    const n = wt(s);
    o = {
      x: t.x - n.x,
      y: t.y - n.y,
      width: t.width,
      height: t.height
    };
  }
  return Le(o);
}
function kt(s, t) {
  const e = Q(s);
  return e === t || !I(e) || xe(e) ? !1 : j(e).position === "fixed" || kt(e, t);
}
function Xs(s, t) {
  const e = t.get(s);
  if (e)
    return e;
  let o = Ee(s, [], !1).filter((l) => I(l) && le(l) !== "body"), n = null;
  const a = j(s).position === "fixed";
  let r = a ? Q(s) : s;
  for (; I(r) && !xe(r); ) {
    const l = j(r), i = Ke(r);
    !i && l.position === "fixed" && (n = null), (a ? !i && !n : !i && l.position === "static" && !!n && ["absolute", "fixed"].includes(n.position) || Be(r) && !i && kt(s, r)) ? o = o.filter((d) => d !== r) : n = l, r = Q(r);
  }
  return t.set(s, o), o;
}
function Gs(s) {
  let {
    element: t,
    boundary: e,
    rootBoundary: o,
    strategy: n
  } = s;
  const r = [...e === "clippingAncestors" ? De(t) ? [] : Xs(t, this._c) : [].concat(e), o], l = r[0], i = r.reduce((c, d) => {
    const f = Qe(t, d, n);
    return c.top = ue(f.top, c.top), c.right = we(f.right, c.right), c.bottom = we(f.bottom, c.bottom), c.left = ue(f.left, c.left), c;
  }, Qe(t, l, n));
  return {
    width: i.right - i.left,
    height: i.bottom - i.top,
    x: i.left,
    y: i.top
  };
}
function Us(s) {
  const {
    width: t,
    height: e
  } = bt(s);
  return {
    width: t,
    height: e
  };
}
function Zs(s, t, e) {
  const o = q(t), n = X(t), a = e === "fixed", r = Ce(s, !0, a, t);
  let l = {
    scrollLeft: 0,
    scrollTop: 0
  };
  const i = H(0);
  if (o || !o && !a)
    if ((le(t) !== "body" || Be(n)) && (l = Re(t)), o) {
      const b = Ce(t, !0, a, t);
      i.x = b.x + t.clientLeft, i.y = b.y + t.clientTop;
    } else
      n && (i.x = Ge(n));
  const c = n && !o && !a ? Ct(n, l) : H(0), d = r.left + l.scrollLeft - i.x - c.x, f = r.top + l.scrollTop - i.y - c.y;
  return {
    x: d,
    y: f,
    width: r.width,
    height: r.height
  };
}
function Ve(s) {
  return j(s).position === "static";
}
function Je(s, t) {
  if (!q(s) || j(s).position === "fixed")
    return null;
  if (t)
    return t(s);
  let e = s.offsetParent;
  return X(s) === e && (e = e.ownerDocument.body), e;
}
function $t(s, t) {
  const e = T(s);
  if (De(s))
    return e;
  if (!q(s)) {
    let n = Q(s);
    for (; n && !xe(n); ) {
      if (I(n) && !Ve(n))
        return n;
      n = Q(n);
    }
    return e;
  }
  let o = Je(s, t);
  for (; o && Is(o) && Ve(o); )
    o = Je(o, t);
  return o && xe(o) && Ve(o) && !Ke(o) ? e : o || js(s) || e;
}
const Qs = async function(s) {
  const t = this.getOffsetParent || $t, e = this.getDimensions, o = await e(s.floating);
  return {
    reference: Zs(s.reference, await t(s.floating), s.strategy),
    floating: {
      x: 0,
      y: 0,
      width: o.width,
      height: o.height
    }
  };
};
function Js(s) {
  return j(s).direction === "rtl";
}
const en = {
  convertOffsetParentRelativeRectToViewportRelativeRect: Hs,
  getDocumentElement: X,
  getClippingRect: Gs,
  getOffsetParent: $t,
  getElementRects: Qs,
  getClientRects: Ns,
  getDimensions: Us,
  getScale: de,
  isElement: I,
  isRTL: Js
}, tn = Ts, sn = Es, nn = Vs, on = Rs, an = (s, t, e) => {
  const o = /* @__PURE__ */ new Map(), n = {
    platform: en,
    ...e
  }, a = {
    ...n.platform,
    _c: o
  };
  return Ds(s, t, {
    ...n,
    platform: a
  });
};
function ln(s) {
  return s != null && typeof s == "object" && "$el" in s;
}
function je(s) {
  if (ln(s)) {
    const t = s.$el;
    return Ye(t) && le(t) === "#comment" ? null : t;
  }
  return s;
}
function ce(s) {
  return typeof s == "function" ? s() : M(s);
}
function rn(s) {
  return {
    name: "arrow",
    options: s,
    fn(t) {
      const e = je(ce(s.element));
      return e == null ? {} : on({
        element: e,
        padding: s.padding
      }).fn(t);
    }
  };
}
function zt(s) {
  return typeof window > "u" ? 1 : (s.ownerDocument.defaultView || window).devicePixelRatio || 1;
}
function et(s, t) {
  const e = zt(s);
  return Math.round(t * e) / e;
}
function cn(s, t, e) {
  e === void 0 && (e = {});
  const o = e.whileElementsMounted, n = g(() => {
    var _;
    return (_ = ce(e.open)) != null ? _ : !0;
  }), a = g(() => ce(e.middleware)), r = g(() => {
    var _;
    return (_ = ce(e.placement)) != null ? _ : "bottom";
  }), l = g(() => {
    var _;
    return (_ = ce(e.strategy)) != null ? _ : "absolute";
  }), i = g(() => {
    var _;
    return (_ = ce(e.transform)) != null ? _ : !0;
  }), c = g(() => je(s.value)), d = g(() => je(t.value)), f = O(0), b = O(0), u = O(l.value), h = O(r.value), m = Pt({}), w = O(!1), $ = g(() => {
    const _ = {
      position: u.value,
      left: "0",
      top: "0"
    };
    if (!d.value)
      return _;
    const D = et(d.value, f.value), W = et(d.value, b.value);
    return i.value ? {
      ..._,
      transform: "translate(" + D + "px, " + W + "px)",
      ...zt(d.value) >= 1.5 && {
        willChange: "transform"
      }
    } : {
      position: u.value,
      left: D + "px",
      top: W + "px"
    };
  });
  let y;
  function z() {
    if (c.value == null || d.value == null)
      return;
    const _ = n.value;
    an(c.value, d.value, {
      middleware: a.value,
      placement: r.value,
      strategy: l.value
    }).then((D) => {
      f.value = D.x, b.value = D.y, u.value = D.strategy, h.value = D.placement, m.value = D.middlewareData, w.value = _ !== !1;
    });
  }
  function k() {
    typeof y == "function" && (y(), y = void 0);
  }
  function S() {
    if (k(), o === void 0) {
      z();
      return;
    }
    if (c.value != null && d.value != null) {
      y = o(c.value, d.value, z);
      return;
    }
  }
  function V() {
    n.value || (w.value = !1);
  }
  return ve([a, r, l, n], z, {
    flush: "sync"
  }), ve([c, d], S, {
    flush: "sync"
  }), ve(n, V, {
    flush: "sync"
  }), at() && lt(k), {
    x: ie(f),
    y: ie(b),
    strategy: ie(u),
    placement: ie(h),
    middlewareData: ie(m),
    isPositioned: ie(w),
    floatingStyles: $,
    update: z
  };
}
function un(s) {
  return at() ? (lt(s), !0) : !1;
}
const dn = typeof window < "u" && typeof document < "u";
typeof WorkerGlobalScope < "u" && globalThis instanceof WorkerGlobalScope;
function tt(s, t, e = {}) {
  const {
    immediate: o = !0
  } = e, n = O(!1);
  let a = null;
  function r() {
    a && (clearTimeout(a), a = null);
  }
  function l() {
    n.value = !1, r();
  }
  function i(...c) {
    r(), n.value = !0, a = setTimeout(() => {
      n.value = !1, a = null, s(...c);
    }, Rt(t));
  }
  return o && (n.value = !0, dn && i()), un(l), {
    isPending: Dt(n),
    start: i,
    stop: l
  };
}
function pn(s = {}) {
  const {
    openDelay: t = 0,
    closeDelay: e = 150,
    onOpen: o,
    onClose: n,
    initiallyOpened: a = !1
  } = s, r = O(!1), { start: l, stop: i } = tt(() => {
    r.value = !0, o == null || o();
  }, t), { start: c, stop: d } = tt(() => {
    r.value = !1, n == null || n();
  }, e), f = () => {
    d(), t === 0 ? (r.value = !0, o == null || o()) : l();
  }, b = () => {
    i(), e === 0 ? (r.value = !1, n == null || n()) : c();
  };
  return a && f(), {
    isOpen: r,
    open: f,
    close: b
  };
}
const Bt = Symbol("hover-card"), St = /* @__PURE__ */ A({
  __name: "HoverCardTarget",
  props: {
    withWrapper: { type: Boolean, default: !1 },
    wrapperClass: { default: "" }
  },
  setup(s) {
    return rt(Bt, null), (t, e) => t.withWrapper ? (p(), x("div", {
      key: 0,
      class: C(t.wrapperClass)
    }, [
      L(t.$slots, "default")
    ], 2)) : L(t.$slots, "default", { key: 1 });
  }
}), fn = { class: "rounded-lg bg-white dark:bg-gray-800 shadow-lg border border-gray-200 dark:border-gray-700 px-3 py-2" }, gn = /* @__PURE__ */ A({
  __name: "HoverCard",
  props: {
    initiallyOpened: { type: Boolean, default: !1 },
    openDelay: { default: 0 },
    closeDelay: { default: 150 },
    placement: { default: "bottom" },
    onOpen: {},
    onClose: {},
    offset: { default: 8 },
    disabled: { type: Boolean, default: !1 },
    size: { default: "md" },
    withArrow: { type: Boolean, default: !0 },
    arrowOffset: { default: 8 },
    trapFocus: { type: Boolean, default: !0 },
    zIndex: { default: 1e3 }
  },
  setup(s) {
    const t = s, e = O(!1);
    nt(() => {
      e.value = !0;
    });
    const o = O(null), n = O(null), a = O(null), { isOpen: r, open: l, close: i } = pn({
      openDelay: t.openDelay,
      closeDelay: t.closeDelay,
      initiallyOpened: t.initiallyOpened
    });
    it(Bt, {
      isOpen: r,
      open: l,
      close: i
    });
    const {
      x: c,
      y: d,
      strategy: f,
      middlewareData: b,
      placement: u,
      update: h
    } = cn(n, a, {
      placement: t.placement,
      middleware: [
        tn(t.offset),
        nn({
          fallbackPlacements: ["top", "bottom", "right", "left"].filter((k) => k !== t.placement)
        }),
        sn({ padding: 8 }),
        rn({ element: o })
      ]
    });
    ve(r, async (k) => {
      k && await h();
    });
    const m = g(() => {
      var k, S;
      return (S = (k = b.value) == null ? void 0 : k.arrow) == null ? void 0 : S.x;
    }), w = g(() => {
      var k, S;
      return (S = (k = b.value) == null ? void 0 : k.arrow) == null ? void 0 : S.y;
    }), $ = g(() => {
      switch (u.value) {
        case "top":
          return "bottom";
        case "bottom":
          return "top";
        case "left":
          return "right";
        case "right":
          return "left";
        default:
          return "bottom";
      }
    }), y = g(() => {
      switch (u.value) {
        case "top":
          return "translate(-50%, 50%)";
        case "bottom":
          return "translate(-50%, -50%)";
        case "left":
          return "translate(50%, -50%)";
        case "right":
          return "translate(-50%, -50%)";
        default:
          return "translate(-50%, -50%)";
      }
    }), z = g(() => ({
      xs: "w-[200px]",
      sm: "w-[240px]",
      md: "w-[320px]",
      lg: "w-[400px]",
      xl: "w-[480px]"
    })[t.size]);
    return (k, S) => (p(), x("div", {
      ref_key: "reference",
      ref: n,
      class: "relative inline-block",
      onMouseenter: S[2] || (S[2] = (V) => !k.disabled && M(l)()),
      onMouseleave: S[3] || (S[3] = (V) => !k.disabled && M(i)())
    }, [
      he(St, null, {
        default: ne(() => [
          L(k.$slots, "target")
        ]),
        _: 3
      }),
      e.value ? (p(), K(ot, {
        key: 0,
        to: "body"
      }, [
        he(ke, {
          "enter-active-class": "transition duration-200 ease-out",
          "enter-from-class": "opacity-0 translate-y-1",
          "enter-to-class": "opacity-100 translate-y-0",
          "leave-active-class": "transition duration-150 ease-in",
          "leave-from-class": "opacity-100 translate-y-0",
          "leave-to-class": "opacity-0 translate-y-1"
        }, {
          default: ne(() => [
            M(r) ? (p(), x("div", {
              key: 0,
              ref_key: "floating",
              ref: a,
              style: E({
                position: M(f),
                top: `${M(d) ?? 0}px`,
                left: `${M(c) ?? 0}px`,
                zIndex: k.zIndex || 1e3
              }),
              class: C(["min-w-[200px]", [z.value]]),
              onMouseenter: S[0] || (S[0] = (V) => !k.disabled && M(l)()),
              onMouseleave: S[1] || (S[1] = (V) => !k.disabled && M(i)())
            }, [
              v("div", fn, [
                L(k.$slots, "dropdown")
              ]),
              k.withArrow ? (p(), x("div", {
                key: 0,
                ref_key: "arrowRef",
                ref: o,
                class: "absolute w-2 h-2 rotate-45 bg-white dark:bg-gray-800 border border-gray-200 dark:border-gray-700",
                style: E({
                  position: "absolute",
                  left: `${m.value ?? 0}px`,
                  top: `${w.value ?? 0}px`,
                  [$.value]: "-1px",
                  "z-index": -1,
                  "transform-origin": "center",
                  transform: `rotate(45deg) ${y.value}`
                })
              }, null, 4)) : B("", !0)
            ], 38)) : B("", !0)
          ]),
          _: 3
        })
      ])) : B("", !0)
    ], 544));
  }
});
Object.assign(gn, {
  Target: St
});
const Vn = {}, hn = {
  key: 0,
  class: "badge-section mr-2"
}, mn = { class: "badge-label" }, xn = {
  key: 1,
  class: "badge-section ml-2"
}, Mn = /* @__PURE__ */ A({
  __name: "Badge",
  props: {
    size: { default: "md" },
    circle: { type: Boolean, default: !1 },
    radius: { default: "xl" },
    color: { default: "primary" },
    gradient: {},
    leftSection: {},
    rightSection: {},
    fullWidth: { type: Boolean, default: !1 },
    variant: { default: "filled" }
  },
  setup(s) {
    const t = s, e = (a) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[a] || "rounded-lg", o = (a) => `relative pl-6 before:absolute before:left-2 before:top-1/2 before:-translate-y-1/2 before:w-2 before:h-2 before:rounded-full before:bg-${a}-500`, n = g(() => {
      var f, b;
      const a = "inline-flex items-center justify-center font-medium", r = t.variant === "gradient" ? `bg-gradient-to-r from-${(f = t.gradient) == null ? void 0 : f.from} to-${(b = t.gradient) == null ? void 0 : b.to} text-white` : se(t.color, t.variant), l = N(t.size, "badge"), i = e(t.radius), c = t.variant === "dot" ? o(t.color) : "";
      return [
        a,
        r,
        l,
        i,
        c,
        {
          "aspect-square p-0": t.circle,
          "w-full": t.fullWidth
        }
      ].filter(Boolean).join(" ");
    });
    return (a, r) => (p(), x("div", {
      class: C(n.value)
    }, [
      a.leftSection ? (p(), x("span", hn, [
        typeof a.leftSection == "string" ? (p(), x(ge, { key: 0 }, [
          te(P(a.leftSection), 1)
        ], 64)) : (p(), K(pe(a.leftSection), { key: 1 }))
      ])) : B("", !0),
      v("span", mn, [
        L(a.$slots, "default")
      ]),
      a.rightSection ? (p(), x("span", xn, [
        typeof a.rightSection == "string" ? (p(), x(ge, { key: 0 }, [
          te(P(a.rightSection), 1)
        ], 64)) : (p(), K(pe(a.rightSection), { key: 1 }))
      ])) : B("", !0)
    ], 2));
  }
});
const yn = {
  mounted(s, t) {
    s._clickOutside = (e) => {
      const o = e.target;
      s === o || s.contains(o) || t.value(e);
    }, document.addEventListener("click", s._clickOutside, !0), document.addEventListener("touchstart", s._clickOutside, !0);
  },
  unmounted(s) {
    s._clickOutside && (document.removeEventListener("click", s._clickOutside, !0), document.removeEventListener("touchstart", s._clickOutside, !0));
  }
};
function bn(s) {
  return {
    none: "rounded-none",
    sm: "rounded-sm",
    md: "rounded",
    lg: "rounded-lg",
    xl: "rounded-xl",
    full: "rounded-full"
  }[s];
}
const vn = ["data-active"], Tn = /* @__PURE__ */ A({
  __name: "Dropdown",
  props: {
    size: { default: "md" },
    radius: { default: "md" },
    open: { type: Boolean, default: !1 },
    buttonClasses: { default: "" },
    dropdownClasses: { default: "" },
    placement: { default: "bottom" },
    disabled: { type: Boolean, default: !1 },
    containerClasses: { default: "" },
    showArrow: { type: Boolean, default: !0 },
    disabledText: { default: "" },
    parentPositionRelative: { type: Boolean, default: !0 }
  },
  emits: ["close", "update:open"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = O(e.open), a = O(0), r = O(null), l = g(() => N(e.size, "dropdown")), i = g(() => bn(e.radius)), c = g(() => ({
      "bottom-full mb-2": e.placement === "top",
      "mt-2": e.placement === "bottom"
    }));
    function d() {
      n.value = !1, o("close"), o("update:open", !1);
    }
    it("dropdownClose", d);
    function f() {
      e.disabled || (n.value ? (n.value = !1, o("close"), o("update:open", !1)) : (n.value = !0, o("update:open", !0), setTimeout(() => {
        var h, m;
        (h = r.value) == null || h.focus();
        const u = (m = r.value) == null ? void 0 : m.querySelector(".active");
        u == null || u.scrollIntoView({ behavior: "smooth" });
      }, 100)));
    }
    function b(u) {
      r.value && (u.key === "ArrowUp" && a.value > 0 ? (u.preventDefault(), a.value--) : u.key === "ArrowDown" && a.value < r.value.children.length - 1 && (u.preventDefault(), a.value++));
    }
    return (u, h) => fe((p(), x("div", {
      class: C(["cstu-inline-block cstu-text-left", [
        { "cstu-z-[100]": n.value },
        { "cstu-relative": u.parentPositionRelative },
        { "cstu-grayscale cstu-filter cstu-cursor-not-allowed cstu-opacity-70": u.disabled },
        u.containerClasses
      ]])
    }, [
      v("button", {
        type: "button",
        class: C(["cstu-text-gray-500 cstu-inline-flex cstu-overflow-hidden cstu-text-ellipsis cstu-whitespace-pre cstu-justify-between cstu-items-center cstu-w-full cstu-focus:cstu-outline-none", [
          i.value,
          l.value,
          u.buttonClasses,
          { "pointer-events-none": u.disabled },
          `${u.buttonClasses ? u.buttonClasses : "cstu-border cstu-border-gray-400/20 hover:cstu-bg-gray-100/50 hover:cstu-border-gray-400/25 "}`
        ]]),
        "aria-expanded": "true",
        "aria-haspopup": "true",
        onClick: f
      }, [
        L(u.$slots, "icon"),
        L(u.$slots, "selected", {}, () => [
          h[0] || (h[0] = te("Select"))
        ]),
        u.showArrow ? (p(), x("span", {
          key: 0,
          class: C(["cstu-transition cstu-leading-none", { "cstu-rotate-180": n.value }])
        }, [
          L(u.$slots, "arrow", {}, () => [
            h[1] || (h[1] = Vt('<svg xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 12 12" fill="none"><g clip-path="url(#clip0_33663_12905)"><path d="M6 8.95312C5.91113 8.95312 5.82739 8.93604 5.74878 8.90186C5.67017 8.86768 5.6001 8.81982 5.53857 8.7583L0.93457 4.1543C0.886719 4.09961 0.845703 4.03467 0.811523 3.95947C0.777344 3.88428 0.760254 3.80225 0.760254 3.71338C0.760254 3.53564 0.823486 3.38354 0.949951 3.25708C1.07642 3.13062 1.23193 3.06738 1.4165 3.06738C1.49854 3.06738 1.57715 3.08276 1.65234 3.11353C1.72754 3.14429 1.7959 3.18701 1.85742 3.2417L6 7.40479L10.1426 3.2417C10.2041 3.18701 10.2725 3.14429 10.3477 3.11353C10.4229 3.08276 10.5015 3.06738 10.5835 3.06738C10.7681 3.06738 10.9236 3.13062 11.05 3.25708C11.1765 3.38354 11.2397 3.53564 11.2397 3.71338C11.2397 3.80225 11.2227 3.88428 11.1885 3.95947C11.1543 4.03467 11.1133 4.09961 11.0654 4.1543L6.46143 8.7583C6.3999 8.81982 6.32983 8.86768 6.25122 8.90186C6.17261 8.93604 6.08887 8.95312 6 8.95312Z" fill="#99A3A9"></path></g><defs><clipPath id="clip0_33663_12905"><rect width="10.5" height="11" fill="white" transform="matrix(1 0 0 -1 0.75 11.5)"></rect></clipPath></defs></svg>', 1))
          ])
        ], 2)) : B("", !0)
      ], 2),
      he(ke, {
        "enter-active-class": "transition ease-out duration-100",
        "enter-from-class": "transform opacity-0 scale-95",
        "enter-to-class": "transform opacity-100 scale-100",
        "leave-active-class": "transition ease-in duration-75",
        "leave-from-class": "transform opacity-100 scale-100",
        "leave-to-class": "transform opacity-0 scale-95"
      }, {
        default: ne(() => [
          fe(v("div", {
            class: C(["max-h-72 px-[12px] py-[13px] min-w-[225px] overflow-y-auto origin-top-left absolute left-0 w-full rounded-lg cstu-shadow-custom bg-white focus:outline-none z-50", [
              c.value,
              u.dropdownClasses,
              i.value
            ]])
          }, [
            v("div", {
              ref_key: "dropdownList",
              ref: r,
              class: "cstu-flex cstu-flex-col cstu-gap-[11px]",
              role: "menu",
              "aria-orientation": "vertical",
              "aria-labelledby": "menu-button",
              "data-active": a.value,
              tabindex: "-1",
              onKeydown: b
            }, [
              L(u.$slots, "default")
            ], 40, vn)
          ], 2), [
            [Ae, n.value]
          ])
        ]),
        _: 3
      })
    ], 2)), [
      [M(yn), d]
    ]);
  }
}), En = /* @__PURE__ */ A({
  __name: "DropdownItem",
  props: {
    disabled: { type: Boolean, default: !1 },
    closeOnClick: { type: Boolean, default: !0 },
    class: { default: "" },
    selected: { type: Boolean, default: !1 }
  },
  emits: ["click"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = rt("dropdownClose", () => {
    }), a = g(() => e.class);
    function r() {
      e.disabled || (e.closeOnClick && n(), o("click"));
    }
    return (l, i) => (p(), x("div", {
      role: "menuitem",
      tabindex: "-1",
      class: C([
        "block cursor-pointer hover:cstu-bg-blue-50 active:cstu-bg-blue-50 rounded-lg",
        "py-[5.5px] pr-[13.5px] pl-[10.5px]",
        { "cursor-not-allowed bg-gray-100": l.disabled },
        { "cstu-bg-blue-50": l.selected },
        a.value
      ]),
      onClick: r
    }, [
      L(l.$slots, "default", { selected: l.selected })
    ], 2));
  }
}), wn = /* @__PURE__ */ A({
  __name: "ListItem",
  props: {
    disabled: { type: Boolean, default: !1 },
    selected: { type: Boolean, default: !1 },
    class: { default: "" },
    selectedClass: { default: "" }
  },
  emits: ["click"],
  setup(s, { emit: t }) {
    const e = s, o = t, n = g(() => e.class);
    function a() {
      e.disabled || o("click");
    }
    return (r, l) => (p(), x("div", {
      role: "listitem",
      tabindex: "-1",
      class: C([
        "block cursor-pointer rounded-lg",
        "py-[5.5px] pr-[13.5px] pl-[10.5px]",
        { "hover:cstu-bg-blue-50 active:cstu-bg-blue-50": !r.disabled },
        { "cursor-not-allowed bg-gray-100 ": r.disabled },
        { [r.selectedClass || "cstu-bg-blue-50"]: r.selected && !r.disabled },
        n.value
      ]),
      onClick: a
    }, [
      L(r.$slots, "default", { selected: r.selected })
    ], 2));
  }
}), In = /* @__PURE__ */ A({
  __name: "Collapsible",
  props: {
    defaultOpen: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    class: { default: "" },
    hideArrow: { type: Boolean, default: !1 },
    buttonClass: { default: "" },
    selectedClass: { default: "" }
  },
  setup(s) {
    const t = s, e = O(t.defaultOpen), o = g(() => t.class);
    function n() {
      t.disabled || (e.value = !e.value);
    }
    return (a, r) => (p(), x("div", {
      class: C(["space-y-1", o.value])
    }, [
      he(wn, {
        role: "button",
        disabled: a.disabled,
        class: C(["flex items-center justify-between", a.buttonClass].join(" ")),
        "selected-class": a.selectedClass,
        selected: e.value,
        onClick: n
      }, {
        default: ne(() => [
          L(a.$slots, "trigger"),
          a.hideArrow ? B("", !0) : (p(), x("svg", {
            key: 0,
            xmlns: "http://www.w3.org/2000/svg",
            width: "10",
            height: "7",
            viewBox: "0 0 10 7",
            fill: "none",
            class: C(["transform transition-transform duration-200", { "rotate-180": e.value }])
          }, r[0] || (r[0] = [
            v("path", {
              d: "M5.64844 0.919922L9.81641 5.08789C9.91667 5.18815 9.9668 5.3099 9.9668 5.45312C9.9668 5.59635 9.91667 5.7181 9.81641 5.81836L9.34375 6.29102C9.24349 6.39128 9.12174 6.44499 8.97852 6.45215C8.83529 6.45931 8.71354 6.41276 8.61328 6.3125L5.2832 2.98242L1.95312 6.3125C1.85286 6.41276 1.73112 6.45931 1.58789 6.45215C1.44466 6.44499 1.32292 6.39128 1.22266 6.29102L0.75 5.81836C0.649739 5.7181 0.599609 5.59635 0.599609 5.45312C0.599609 5.3099 0.649739 5.18815 0.75 5.08789L4.91797 0.919922C5.01823 0.805339 5.13997 0.748047 5.2832 0.748047C5.42643 0.748047 5.54818 0.805339 5.64844 0.919922Z",
              fill: "#75797C"
            }, null, -1)
          ]), 2))
        ]),
        _: 3
      }, 8, ["disabled", "class", "selected-class", "selected"]),
      he(ke, {
        "enter-active-class": "transition duration-100 ease-out",
        "enter-from-class": "transform scale-95 opacity-0",
        "enter-to-class": "transform scale-100 opacity-100",
        "leave-active-class": "transition duration-75 ease-in",
        "leave-from-class": "transform scale-100 opacity-100",
        "leave-to-class": "transform scale-95 opacity-0"
      }, {
        default: ne(() => [
          fe(v("div", null, [
            L(a.$slots, "default")
          ], 512), [
            [Ae, e.value]
          ])
        ]),
        _: 3
      })
    ], 2));
  }
});
export {
  On as Alert,
  Mn as Badge,
  kn as Button,
  $n as Checkbox,
  _n as Chip,
  Pn as Collapse,
  In as Collapsible,
  Rn as Dialog,
  Tn as Dropdown,
  En as DropdownItem,
  gn as HoverCard,
  St as HoverCardTarget,
  Ln as Indicator,
  wn as ListItem,
  Dn as Loader,
  An as Progress,
  zn as Radio,
  Sn as Select,
  Bn as TextInput,
  Vn as composables,
  Bt as hoverCardInjectionKey,
  pn as useHoverCard
};
